<%@page import="com.xerox.docushare.lifecyclemanager.logs.LifecycleManagerLogs"%>
<%/**
 * Copyright: Copyright (c) 2010
 * Company: Xerox Docushare Professional Services
 * @author Anubha Khurana
 * @version 1.0
 */%>
 
<%@page import="com.xerox.docushare.amber.util.AmberUtility"%>
<%@page import="com.xerox.docushare.amber.util.MessageDB"%>
<%@page import="com.xerox.docushare.property.DSPropTypes"%>
<%@page import="com.xerox.docushare.lifecyclemanager.constants.LifecycleManagerConstants"%>
<%@page import="com.xerox.docushare.amber.util.XSLTMessage"%>
<%@page import="com.xerox.docushare.property.DSPropDesc"%>
<%@page import="com.xerox.docushare.DSClass"%>
<%@page import="com.xerox.docushare.lifecyclemanager.bean.LifeCycleFormBean"%>
<%@page import="com.xerox.docushare.object.DSGroup"%>
<%@page import="com.xerox.docushare.object.DSUser"%>
<%@page import="java.util.List"%>
<%@page import="java.util.TreeMap"%> <%-- DS7 AR28447 --%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.DSUtils"%>
<%@page import="com.xerox.docushare.license.DSLicense"%>
<%@page import="com.xerox.docushare.DSLicenseCodes"%>
<%@page import="java.util.Collections"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.DateUtils"%>
<%@page import="com.xerox.docushare.lifecyclemanager.action.InsertOrUpdateDB"%>
<%@page import="com.xerox.docushare.lifecyclemanager.dbo.DBManager"%>
<%@page import="com.xerox.docushare.db.DatabaseException"%>
<%-- Start : DS7 AR26843 --%>
<%@page import="java.util.StringTokenizer"%>
<%@page import="java.text.DateFormat"%>
<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.util.Calendar"%>
<%@page import="java.util.Date"%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.sql.Timestamp"%>
<%@page import="java.util.Iterator"%>
<%@page import="java.util.Set"%>
<%@page import="java.util.Map"%>
<%@page import="java.text.ParseException"%>
<%@page import="java.util.*"%>
<%@page import="com.xerox.docushare.lifecyclemanager.comparator.DSVectorComparator"%>


<%-- End : DS7 AR26843 --%>
<%String pageTitle = "Create Lifecycle Manager Policy";
%>
 <%@ include file="Header.jsp" %>

<%!

public String encodeTheString(String strToEncode){
	String encodedString = strToEncode;
	try{
		encodedString = java.net.URLEncoder.encode(strToEncode, "UTF-8");
	}catch(Exception ex){
		
	}
	
	return encodedString;
}

%>
 <%
   // Start : DS7 AR28447
   TreeMap hm = DSUtils.getDSObjectsMap(dssession);  
   String excludeLCMObjects = LifecycleManagerConstants.LCM_EXCLUDED_OBJECTS;
   StringTokenizer excludeObjToken = new StringTokenizer(excludeLCMObjects, ",");
   ArrayList excludeObjList = new ArrayList();
   while(excludeObjToken.hasMoreTokens())
   {
        String token = excludeObjToken.nextToken().trim();
        if(token != null && !(token.equals("")))
		    excludeObjList.add(token);
   }
   // End : DS7 AR28447
   // Start : DS7 AR26843 
   int lcmCronMinutes = LifecycleManagerConstants.TIME_START_CRON_THREAD_IN_MIN;
   int lcmCronHours = LifecycleManagerConstants.TIME_START_CRON_THREAD_IN_HOURS;
   if(lcmCronMinutes != 00 && lcmCronMinutes != 30)
   {
       if(lcmCronMinutes <= 30)
	       lcmCronMinutes = 30;
	   else
	   {
           lcmCronMinutes = 00;	
		   lcmCronHours = lcmCronHours + 1;
	   }
   }
   String lcmCronTime = lcmCronHours + ":"+lcmCronMinutes;
   Calendar cal = Calendar.getInstance();
   DateFormat sdf = new SimpleDateFormat("HH:mm");
   String currentTime = sdf.format(cal.getTime());
   
   Timestamp cronTS = DateUtils.convertStringToTimestamp(lcmCronTime, "HH:mm");
   Timestamp currentTS = DateUtils.convertStringToTimestamp(currentTime, "HH:mm");
   
   SimpleDateFormat df = new SimpleDateFormat("HH:mm");
   String convertedTime = df.format(cronTS);
   // End : DS7 AR26843
   String create_title = AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.create_event_title", currentLocale));
   String edit_title = AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.edit_policy_title", currentLocale));
   
   boolean isCPXLicenesed = dssession.isEnabled(DSLicenseCodes.CPX);  // DS7 AR31700
		
   String screen_status = "";
   String url;
   
   String cursorValidationMsg = AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.cursor_validation_msg", currentLocale)) ; // DS7 AR27924
  
%>
 
<%   String strAlertId = (request.getParameter("alertId") != null) ? request.getParameter("alertId") : "0";
	 if (request.getParameter("eventName") != null && !request.getParameter("eventName").equals("false")) {
      try {
    	  
    	boolean result = DBManager.getInstance().createTable();
        if(result == true) {
		 
         result = InsertOrUpdateDB.insertOrUpdateAlert(Integer.parseInt(strAlertId),request, loginPrincipalHdl);
        }
        else {
          out.println("<font color=\"red\">Error while creating the new Table.</font>");
        }
      }
      catch(Exception ex) {
        LifecycleManagerLogs.logger.error("Exception 1 in AddEditLifecycleManagerEvents.jsp : ", ex);
      }
      LifecycleManagerLogs.logger.debug("Apply pressed");
      response.sendRedirect("PolicyListing.jsp");
    }else{
    	LifecycleManagerLogs.logger.debug("request.getParameter(eventName) is null");
    }
    
    if (request.getParameter("cancel") != null) {
    	LifecycleManagerLogs.logger.debug("Cancel pressed");
      response.sendRedirect("PolicyListing.jsp");
    }
    
    //********Following code is for Edit Life cycle Manager Events********
    String notificationSearchCriteria = "";
    String policyTitle = "";//alert title or event label
    String eventNotificationBoth = (isCPXLicenesed == false) ? "lifeCycleManager.notification" : "";//event or Notification or both
	String eventSearchCriteria = "";
	String exactEventDate = "";
	String exactNotificationDate = "";
    String collectionHandle  = "Collection-";
    String propertyNameToBelookedForInNotification = "";
    String notificationLookupUnit = "";
    int notificationNoOfUnits = 0;
    String propertyNameToBelookedForInEvent = "";
    String eventLookupUnit = "";
    int eventNoOfUnits = 0;
    String includeOwner = "";
    String userHandle = "none"; // DS7 AR27924
	String groupHandle = "none";  // DS7 AR27924
    String periodicity = "";
    String includeExpired = "";
    String sDate = "";
    String eDate = "";  
    String lastRunDate = "";
	String status = "";
    String description = "";
    String searchScope = "";
    String searchObject = "";
    String externalRecipient = "";
    String additionalCriteria0 = "";
    String additionalCriteriaProp0 = "";
    String additionalCriteriaPropValue0 = "";
	//START:Added more fields for Additional criteria
	String additionalCriteria1 = "";
    String additionalCriteriaProp1 = "";
    String additionalCriteriaPropValue1 = "";
	String additionalCriteria2 = "";
    String additionalCriteriaProp2 = "";
    String additionalCriteriaPropValue2 = "";
	String additionalCriteria3 = "";
    String additionalCriteriaProp3 = "";
    String additionalCriteriaPropValue3 = "";
	String additionalCriteria4 = "";
    String additionalCriteriaProp4 = "";
    String additionalCriteriaPropValue4 = "";
	String additionalCriteria5 = "";
    String additionalCriteriaProp5 = "";
    String additionalCriteriaPropValue5 = "";
	String emailOption = "";
	//END:Added more fields for Additional criteria
    int maxDays = 0;
    // Start : DS7 AR26843
    String nextRunDate = "";
    String dateFormat = DateUtils.getDateFormatFromLocaleForJava(currentLocale) ;
    DateFormat toFormat = new SimpleDateFormat(dateFormat, currentLocale.toString().equalsIgnoreCase("th")? new Locale("th", "TH"):currentLocale);  //AR33425
    Date defaultNextRunDate = null;

    if(cronTS.before(currentTS) || lcmCronTime.equals(currentTime))
    {
        defaultNextRunDate = DateUtils.getTomorrowsDate(DateUtils.getCurrentDate());
    	nextRunDate = toFormat.format(defaultNextRunDate);
    }
    else
    {
    	defaultNextRunDate = DateUtils.getCurrentDate();
    	nextRunDate = toFormat.format(defaultNextRunDate);
    }

    String nextRunTime = convertedTime;
    String nextRunDateTime = "";
    // End : DS7 AR26843
    int alertId = Integer.parseInt(strAlertId);
    if(alertId != 0){
    	LifeCycleFormBean lcmBeanObj = DBManager.getInstance().getAlertDetails(alertId, request);
    	
    	if(lcmBeanObj != null){
	    	notificationSearchCriteria = lcmBeanObj.getNotificationSearchCriteria();
	        policyTitle = lcmBeanObj.getPolicyTitle();
	        eventNotificationBoth = lcmBeanObj.getEventNotificationBoth();
	    	eventSearchCriteria = lcmBeanObj.getEventSearchCriteria();
	    	exactEventDate = lcmBeanObj.getExactEventDate();
	    	exactNotificationDate = lcmBeanObj.getExactNotificationDate();
	        collectionHandle  = lcmBeanObj.getCollectionHandle();
	        propertyNameToBelookedForInNotification = lcmBeanObj.getPropertyNameToBelookedForInNotification();
	        notificationLookupUnit = lcmBeanObj.getNotificationLookupUnit();
	        notificationNoOfUnits = lcmBeanObj.getNotificationNoOfUnits();
	        propertyNameToBelookedForInEvent = lcmBeanObj.getPropertyNameToBelookedForInEvent();
	        eventLookupUnit = lcmBeanObj.getEventLookupUnit();
	        eventNoOfUnits = lcmBeanObj.getEventNoOfUnits();
	        includeOwner = lcmBeanObj.getIncludeOwner();
	        userHandle = lcmBeanObj.getUserHandle(); // DS7 AR27924
			groupHandle = lcmBeanObj.getGroupHandle(); // DS7 AR27924
	        periodicity = lcmBeanObj.getPeriodicity();
	        includeExpired = lcmBeanObj.getIncludeExpired();
	        sDate = lcmBeanObj.getsDate();
	        eDate = lcmBeanObj.geteDate();  
	        lastRunDate = lcmBeanObj.getLastRunDate();
	    	status = lcmBeanObj.getStatus();
	        description = lcmBeanObj.getDescription();
	        searchScope = lcmBeanObj.getSearchScope();
	        searchObject = lcmBeanObj.getSearchObject();
	        externalRecipient = lcmBeanObj.getExternalRecipient();
	        additionalCriteria0 = lcmBeanObj.getAdditionalCriteria();
	        additionalCriteriaProp0 = lcmBeanObj.getAdditionalCriteriaProp();
	        additionalCriteriaPropValue0 = lcmBeanObj.getAdditionalCriteriaPropValue();
			//Added additional criteria fields
			additionalCriteria1 = lcmBeanObj.getAdditionalCriteria1();
	        additionalCriteriaProp1 = lcmBeanObj.getAdditionalCriteriaProp1();
	        additionalCriteriaPropValue1 = lcmBeanObj.getAdditionalCriteriaPropValue1();
			additionalCriteria2 = lcmBeanObj.getAdditionalCriteria2();
	        additionalCriteriaProp2 = lcmBeanObj.getAdditionalCriteriaProp2();
	        additionalCriteriaPropValue2 = lcmBeanObj.getAdditionalCriteriaPropValue2();
			additionalCriteria3 = lcmBeanObj.getAdditionalCriteria3();
	        additionalCriteriaProp3 = lcmBeanObj.getAdditionalCriteriaProp3();
	        additionalCriteriaPropValue3 = lcmBeanObj.getAdditionalCriteriaPropValue3();
			additionalCriteria4 = lcmBeanObj.getAdditionalCriteria4();
	        additionalCriteriaProp4 = lcmBeanObj.getAdditionalCriteriaProp4();
	        additionalCriteriaPropValue4 = lcmBeanObj.getAdditionalCriteriaPropValue4();
			additionalCriteria5 = lcmBeanObj.getAdditionalCriteria5();
	        additionalCriteriaProp5 = lcmBeanObj.getAdditionalCriteriaProp5();
	        additionalCriteriaPropValue5 = lcmBeanObj.getAdditionalCriteriaPropValue5();
			emailOption = lcmBeanObj.getEmailOption();
			//Added additional criteria fields
	        maxDays = lcmBeanObj.getMaxDays();
		// Start : DS7 AR26843
		nextRunDateTime = lcmBeanObj.getNextRunDate();
		StringTokenizer tokens = new StringTokenizer(nextRunDateTime, " ");
		// AR33684 starts
		String nextRunDateTimeDateFormat = "";
		String nextRunTimeFormat = "";
		nextRunDateTimeDateFormat = DateUtils.getDateFormatFromLocaleForJava("date_time_long3", currentLocale);
		if(!nextRunDateTimeDateFormat.isEmpty()){
			StringTokenizer FormatTokens = new StringTokenizer(nextRunDateTimeDateFormat, " ");
			while(FormatTokens.hasMoreTokens()){  //if token number is not 3, there is problem here. 
				FormatTokens.nextToken();
				nextRunTimeFormat = FormatTokens.nextToken() + " " + FormatTokens.nextToken();
				break;
			}
		} else {
			nextRunTimeFormat = "HH:mm";
		}
		// AR33684 ends
		while(tokens.hasMoreTokens())
		{
		    nextRunDate = tokens.nextToken(); 
			if(currentLocale.toString().equalsIgnoreCase("th")){   //AR33425 starts
				DateFormat toFormat_temp = new SimpleDateFormat(dateFormat, Locale.ENGLISH);
				try{
					nextRunDate = toFormat.format(toFormat_temp.parse(nextRunDate));
				}catch(Exception ex){
					System.out.println("error occurs when parsing the date: " + ex);
				}
			}                                                      //AR33425 ends 
		    nextRunTime = tokens.nextToken() + " " +tokens.nextToken();
			// AR33684 starts
			SimpleDateFormat timeFormat = new SimpleDateFormat(nextRunTimeFormat, currentLocale);
			SimpleDateFormat TargetTimeFormat = new SimpleDateFormat("HH:mm", currentLocale);
			try {
				nextRunTime = TargetTimeFormat.format(timeFormat.parse(nextRunTime));
			} catch (ParseException e) {
				System.out.println("error occurs when try to parse the nextRunTime" + e.getMessage());
			}

			// AR33684 ends

		     break;
		}
		// End : DS7 AR26843
    	}
    }
    
    if (request.getParameter("delete") != null) {
        if(alertId != 0)
          DBManager.getInstance().deleteAlert(alertId);
        response.sendRedirect("PolicyListing.jsp");
    }
    
    //Get date format based on locale
    String dateFormatForLocale[] = {DateUtils.getDateFormatFromLocaleForUI(currentLocale)};
    
    //************************************************************
%>

<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="content-type" content="text/html; charset=UTF-8">
		<title>
		<% if(alertId != 0){ 
			out.println(edit_title);
		}else{
			out.println(create_title);
		}%>
		
		</title>
		<%@ include file="cssInclude.jsp" %>
		<script type="text/javascript"  src="JQuery/jquery-3.6.0.js"></script>
		<script type="text/javascript"  src="JQuery/jquery-migrate-3.4.0.js"></script>
		<!-- <script type="text/javascript"  src="<%=base%>bower_components/jquery/dist/jquery.min.js"></script> <!-- AR 32100 -->
		<script type="text/javascript"  src="<%=base%>javascript/common/tooltips/main.js"></script> <!-- AR 32100 -->
		<script type="text/javascript"  src="<%=base%>bower_components/qtip2/jquery.qtip.js"></script> <!-- AR 32100 -->
		<link rel="stylesheet" href="css/LifecycleManager.css" type="text/css" />
		<script type="text/javascript"  src="<%=base%>javascript/common/js_functions.js"></script>
		<script type="text/javascript"  src="javascript/LoadXMLAjax.js"></script>
		<script type="text/javascript"  src="javascript/general.js"></script>  
		<script type="text/javascript"  src="javascript/ajax.js"></script> 
		<script type="text/javascript"  src="javascript/validationDates.js"></script> 	

		<!-- <script type="text/javascript"  src="JQuery/jquery-1.10.2.js"></script>  --> 
		<script type="text/javascript"  src="JQuery/jquery-ui-i18n.js"></script>
		<script type="text/javascript"  src="JQuery/ui/ui.core.js"></script>   
		<script type="text/javascript"  src="JQuery/ui/ui.datepicker.js"></script>
		<!-- <script type="text/javascript"  src="<=base>bower_components/jquery-ui/ui/datepicker.js"></script> -->
  		<script type="text/javascript"  src="JQuery/jquery.blockUI.js"></script>
  		<!-- <link type="text/css" 			href="JQuery/themes/cupertino/ui.all.css" rel="stylesheet" /> AR 32099 -->
        <script type="text/javascript" src="JQuery/jquery.timepicker.js"></script>     <!-- DS7 AR26843 -->
        <link rel="stylesheet" type="text/css" href="JQuery/jquery.timepicker.css" />  <!-- DS7 AR26843 -->

	<script language="JavaScript" type="">
		var jQueryUserLanguage = getJqueryUserLanguage();
		// Start : DS7 AR27924
        var userNameStr = "";
		var groupNameStr = "";
		var searchStr = "";
        // End : DS7 AR27924
		var periodicityTempVal = ""; //AR36949
	//AR32857
		var genericPopupConfig = {
			loading : '<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.please_wait", currentLocale)) %>'
        }
		$(function() {

			$.datepicker.setDefaults($.datepicker.regional[jQueryUserLanguage]);

			$('#start_date').datepicker({
				showOn: 'both', buttonImage: '<%=contextRoot%>images/small/calendar.png', buttonImageOnly: true,
				buttonText: '',
				changeMonth: false,
				changeYear: false,
				dateFormat:'<%=DateUtils.getDateFormatFromLocaleForJquery(currentLocale)%>',
				yearRange: '1990:2060',
				isBE: <%=currentLocale.toString().equalsIgnoreCase("th")%>,
				beforeShow: function (input) {
	               addPrevNextYearButtons(input);
                },
                onChangeMonthYear: function (year, month, inst) {
	               addPrevNextYearButtons(inst.input[0]);
                }				
			});

			$('#end_date').datepicker({
				showOn: 'both', buttonImage: '<%=contextRoot%>images/small/calendar.png', buttonImageOnly: true,
				buttonText: '',
				changeMonth: false,
				changeYear: false,
				dateFormat:'<%=DateUtils.getDateFormatFromLocaleForJquery(currentLocale)%>',
				yearRange: '1990:2060',
				isBE: <%=currentLocale.toString().equalsIgnoreCase("th")%>,
				beforeShow: function (input) {
	               addPrevNextYearButtons(input);
                },
                onChangeMonthYear: function (year, month, inst) {
	               addPrevNextYearButtons(inst.input[0]);
                }				
			});

			$('#predefined_event_trigger_date').datepicker({
				showOn: 'both', buttonImage: '<%=contextRoot%>images/small/calendar.png', buttonImageOnly: true,
				buttonText: '',
				changeMonth: false,
				changeYear: false,
				dateFormat:'<%=DateUtils.getDateFormatFromLocaleForJquery(currentLocale)%>',
				yearRange: '1990:2060',
				isBE: <%=currentLocale.toString().equalsIgnoreCase("th")%>,
				beforeShow: function (input) {
	               addPrevNextYearButtons(input);
                },
                onChangeMonthYear: function (year, month, inst) {
	               addPrevNextYearButtons(inst.input[0]);
                }
			});


			$('#predefined_trigger_date').datepicker({
				showOn: 'both', buttonImage: '<%=contextRoot%>images/small/calendar.png', buttonImageOnly: true,
				buttonText: '',
				changeMonth: false,
				changeYear: false,
				dateFormat:'<%=DateUtils.getDateFormatFromLocaleForJquery(currentLocale)%>',
				yearRange: '1990:2060',
				isBE: <%=currentLocale.toString().equalsIgnoreCase("th")%>,
				beforeShow: function (input) {
	               addPrevNextYearButtons(input);
                },
                onChangeMonthYear: function (year, month, inst) {
	               addPrevNextYearButtons(inst.input[0]);
                }
			});
			// Start : DS7 AR26843 
			$('#next_run_date').datepicker({
				showOn: 'both', buttonImage: '<%=contextRoot%>images/small/calendar.png', buttonImageOnly: true,
				buttonText: '',
				changeMonth: false,
				changeYear: false,
				dateFormat:'<%=DateUtils.getDateFormatFromLocaleForJquery(currentLocale)%>',
				yearRange: '1990:2060',
				isBE: <%=currentLocale.toString().equalsIgnoreCase("th")%>,
				beforeShow: function (input) {
	               addPrevNextYearButtons(input);
                },
                onChangeMonthYear: function (year, month, inst) {
	               addPrevNextYearButtons(inst.input[0]);
                }				
			});
            
             $('#next_run_time').timepicker({ 
			 timeFormat: 'H:i',
             step: 30}); 
			 // End : DS7 AR26843 		
		 
        });

	function getJqueryUserLanguage() {    
		var localeInMessageFile = '<%= MessageDB.get("date_time_format_locales", currentLocale) %>';

		if (localeInMessageFile.toLowerCase().indexOf('en_us') != -1)
	         localeInMessageFile= '';     
		/*if($.datepicker.regional[localeInMessageFile] == 'undefined'){
			return '';
		}else{
	         var l = localeInMessageFile.toLowerCase().split('-');
	         if (l.length == 1){ 
	            if (jQuery.datepicker.regional[l[0]] != undefined) 
					return l[0];
                  else 
					return '';
	         }else{
				if (l.length > 1) { 
	            	if (jQuery.datepicker.regional[l[0] + '-' + l[1].toUpperCase()] != undefined) 
						return l[0] + '-' + l[1].toUpperCase();             
				 	else{
					 	if (jQuery.datepicker.regional[l[0]] != undefined) 
							return l[0];
			           	else 
							return '';
        		 	} 
				}else{
		             return ''; 
		        } 
			}
		}*/
		return localeInMessageFile;
	}

  function showDivSpan(divId, flag){
    if(flag == 0) {
      document.getElementById(divId).style.display = "";
    }
    else if(flag == 1) {
      document.getElementById(divId).style.display = 'none';
    }
  }

  function showAndHideTheseDivs(whichDiv){
	if(whichDiv == 'event'){
        showDivSpan('futureDate',1);
		showDivSpan('divForNotification',1);
		showDivSpan('eventDateDiv',0);
		showDivSpan('predefinedDate',1);
		showDivSpan('notifySearchCriteriaDivForNotification',1);
		showDivSpan('notifySearchCriteriaDivForBoth',1);
		showDivSpan('notificationPropertyNameSpan',1);
		showDivSpan('notificationPastPropertyNameSpan',1);
		showDivSpan('notificationNoPropertyNameSpan',0);
		showDivSpan('notiificationBeforeSpan',1);
		showDivSpan('notificationNoPastPropertyNameSpan',0);
		showDivSpan('notiificationAfterSpan',1);
		showDivSpan('specificNotificationDiv',1);

		var eventSearchCriteria = getradioSelectionOfEventSearchCriteria();
	    if(eventSearchCriteria == 'future_event_date')
			showDivSpan("includePastDueDiv", 0);
		else
			showDivSpan("includePastDueDiv", 1);
		// AR36949 - reset periodicity to daily for event
		var periodicity = document.getElementById("periodicity");
        var periodicityVal = periodicity.options[periodicity.selectedIndex].text;
        if (periodicityVal != 'daily')
        {
            periodicity.options[0].selected = true;
			// retain this value if the user chooses to select either of the notification options again.
            periodicityTempVal = periodicityVal; 
        }
	}else if(whichDiv == 'notifications'){
		showDivSpan('futureDate',0);
		document.getElementById('searchCriteriaFuture').checked = true;
		document.getElementById('searchCriteriaPast').checked = false;
		document.getElementById('searchCriteriaPredefined').checked = false;
		showDivSpan('divForNotification',0);
		showDivSpan('eventDateDiv',1);
		showDivSpan('predefinedDate',1);
		showDivSpan('notifySearchCriteriaDivForNotification',0);
		showDivSpan('notifySearchCriteriaDivForBoth',1);
		showDivSpan('notificationPropertyNameSpan',0);
		showDivSpan('notificationPastPropertyNameSpan',0);
		showDivSpan('notificationNoPropertyNameSpan',1);
		showDivSpan('notiificationBeforeSpan',0);
		showDivSpan('notificationNoPastPropertyNameSpan',1);
		showDivSpan('notiificationAfterSpan',0);
		showDivSpan('specificNotificationDiv',0);
		showDivSpan("includePastDueDiv", 0);
		//resetSpan('pastDate');
		// AR36949 - if there is a backup periodicity value, then use it.
        setPeriodicityFromTempVal();
	}else if(whichDiv == 'both'){
		showDivSpan('futureDate',0);
		document.getElementById('searchCriteriaFutureBoth').checked = true;
		document.getElementById('searchCriteriaPastBoth').checked = false;
		showDivSpan('divForNotification',0);
		showDivSpan('eventDateDiv',0);
		showDivSpan('predefinedDate',1);
		showDivSpan('notifySearchCriteriaDivForNotification',1);
		showDivSpan('notifySearchCriteriaDivForBoth',0);
		showDivSpan('notificationPropertyNameSpan',1);
		showDivSpan('notificationPastPropertyNameSpan',1);
		showDivSpan('notificationNoPropertyNameSpan',0);
		showDivSpan('notiificationBeforeSpan',1);
		showDivSpan('notificationNoPastPropertyNameSpan',0);
		showDivSpan('notiificationAfterSpan',1);
		showDivSpan('specificNotificationDiv',1);
		showDivSpan("includePastDueDiv", 1);
		// AR36949 - if there is a backup periodicity value, then use it.
        setPeriodicityFromTempVal();
	}
	showDivSpan('pastDate',1);
  }
  //AR36949
  function setPeriodicityFromTempVal()
  {
    if (periodicityTempVal != '')
    {
      var periodicity = document.getElementById("periodicity");
      var periodicityVal = periodicity.options[periodicity.selectedIndex].text;
      if (periodicityVal != periodicityTempVal)
      {
		  for (var i = 0; i < periodicity.length; i++)
		  {
			  if (periodicity.options[i].text == periodicityTempVal)
			  {
				  periodicity.options[i].selected = true;
				  break;
			  }
		  }
      }
      periodicityTempVal = '';
    }
  }

  function showSpan(pass) {
    var spans = document.getElementsByTagName('span');
    //alert("spans = " + spans.length);
    for (i=0; i<spans.length; i++) {
      if (spans[i].id.indexOf(pass, 0) != -1) {
        if (document.getElementById) {
          if (spans[i].style.display == "none"){
            spans[i].style.display = "";
          }
          else {
            spans[i].style.display = "none";
          }
        }
      }
    }
  }

  function resetSpan(divId){
    if(divId == "futureDate") { // Edited for AR 26516
	  var eventNotificationBoth = getradioSelectionOfEventNotificationBoth();
	  if(eventNotificationBoth != 'lifeCycleManager.event')
      	   showDivSpan(divId, 0);
      showDivSpan("pastDate", 1);
      showDivSpan("predefinedDate", 1);
	  if(eventNotificationBoth != 'lifeCycleManager.both')
	  	showDivSpan("includePastDueDiv", 0);
	  		

      document.newEventForm.criteria.value = "future_date";
      document.newEventForm.property_name.length = 1;

	  document.getElementById('searchCriteriaFuture').checked=true;
	  document.getElementById('searchCriteriaPast').checked=false;
    }
    else if(divId == "pastDate") {
      showDivSpan(divId, 0);
      showDivSpan("futureDate", 1);
      showDivSpan("predefinedDate", 1);
	  showDivSpan("includePastDueDiv", 1);

      document.newEventForm.criteria.value = "past_date";
      document.newEventForm.past_property_name.length = 1;
    } else if(divId == "predefinedDate") {
      showDivSpan(divId, 0);
      showDivSpan("futureDate", 1);
      showDivSpan("pastDate", 1);
	  showDivSpan("includePastDueDiv", 1);

      document.newEventForm.criteria.value = "predefined_date";
      document.newEventForm.specific_property_name_notification.length = 1;
    }
   // document.newEventForm.search_scope.value = -1;
   // document.newEventForm.search_object.length = 1;
  }

  function resetEventSpan(divId){
    if(divId == "futureEventDateDiv") {
      showDivSpan(divId, 0);
      showDivSpan("pastEventDateDiv", 1);
      showDivSpan("predefinedEventDateDiv", 1);
	  
	  var eventNotificationBoth = getradioSelectionOfEventNotificationBoth();
	  if(eventNotificationBoth != 'lifeCycleManager.both')
	  	showDivSpan("includePastDueDiv", 0);
	  
	  document.newEventForm.event_criteria.value = "future_event_date";
      document.newEventForm.property_name1.length = 1;
    }else if(divId == "pastEventDateDiv") {
      showDivSpan(divId, 0);
      showDivSpan("futureEventDateDiv", 1);
      showDivSpan("predefinedEventDateDiv", 1);
	  showDivSpan("includePastDueDiv", 1);
	  document.newEventForm.event_criteria.value = "past_event_date";
      document.newEventForm.past_property_name1.length = 1;
    }else if(divId == "predefinedEventDateDiv") {
      showDivSpan(divId, 0);
      showDivSpan("futureEventDateDiv", 1);
      showDivSpan("pastEventDateDiv", 1);
	  showDivSpan("includePastDueDiv", 1);
      document.newEventForm.event_criteria.value = "predefined_event_date";
      document.newEventForm.specific_property_name.length = 1;
	}
  }
	

  function validateFields(newEventForm) {	
 		$.blockUI({ message: '<img src="JQuery/loading.gif" /> <%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.validating_submitting", currentLocale)) %>....' ,
		    		  css: {backgroundColor: '#5F6161', color: '#fff', border: '0', width:'20%' }
		    		  });
    	var alert_title = document.newEventForm.alert_title.value;
   		if (alert_title.length == 0) {
			$.unblockUI();
      		alert ("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_enter_title", currentLocale)) %>");
       		document.newEventForm.alert_title.focus();
      		return false;
    	}

		if (alert_title.indexOf("\\") > -1 || alert_title.indexOf("\"") > -1 || alert_title.indexOf("%") > -1){ //AR38891
			$.unblockUI();
      		alert("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_invalid_title", currentLocale)) %>");
       		document.newEventForm.alert_title.focus();
      		return false;
		}
		
		//Get Collection handle from form
		if(document.all)
			 dsHandle = document.newEventForm.collection_handle.value;
		   else
			 dsHandle = document.getElementById('collection_handle').value;
		dsHandle =  dsHandle.replace(/(^ +| +$)/, "");

		//Get policy title entered by the user
		if(document.all)
			 policyTitle = document.newEventForm.alert_title.value;
		   else
			 policyTitle = document.getElementById('alert_title').value;

			// Start : DS7 AR27924
		//Get what is selected to send emails(User or Group)

		if(policyTitle.indexOf("&") > -1) // AR37813
			policyTitle = policyTitle.replace(/&/g, "%26");
			
	    var eventNotificationBoth = getradioSelectionOfEventNotificationBoth();
			
		if(document.getElementById('user_name').value=='' && document.getElementById('group_name').value=='' && eventNotificationBoth != 'lifeCycleManager.event')
		{
			$.unblockUI();
		    alert ("<%=ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_user_group_selection", currentLocale)) %>");
		    return false;
		}
		else
		{
		    userName = document.getElementById('user_name').value;
		    groupName = document.getElementById('group_name').value; 
		}
		if (groupName.indexOf("&") > -1){ //AR37806
			groupName = groupName.replace(/&/g, "%26");
		}
		//Start: DS7 AR32150
		if (userName.indexOf("&") > -1){ //AR37806
			userName = userName.replace(/&/g, "%26");
		}
		var nextRunTime = document.getElementById('next_run_time').value;
		var nextRunDate = $('#next_run_date').datepicker( "getDate" );//AR32150 Crystal
		var currentDate = new Date('<%=DateUtils.getTodaysDateInString("yyyy-MM-dd", currentLocale.toString().equalsIgnoreCase("th")? new Locale("th", "TH"):currentLocale)%>');//AR32150 Crystal
		var currentTime = '<%=DateUtils.getTodaysDateInString("HH:mm")%>';
		var yyyy = (nextRunDate.getFullYear()).toString(); 
		var mm = (nextRunDate.getMonth()+1).toString(); 
		var dd = (nextRunDate.getDate()).toString(); 
		var nextRunDate_serverString = yyyy +"-"+ (mm[1]?mm:"0"+mm[0]) +"-"+ (dd[1]?dd:"0"+dd[0]);
		var nextRunDate_server = new Date(nextRunDate_serverString);

		if(currentDate > nextRunDate_server)
		{
		    $.unblockUI(); 
		    alert ("<%=ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_invalid_next_run_date", currentLocale)) %>");
			return false;
		}
        else if(+currentDate === +nextRunDate_server)
		{
            if (currentTime > nextRunTime)
            {
		        $.unblockUI();
		        alert ("<%=ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_invalid_next_run_date", currentLocale)) %>");
			    return false;
            }			
		}
        //End: DS7 AR32150
			
		url = "CheckFormValuesWithAJAX.jsp?title=" + policyTitle + "&policyId=<%=strAlertId%>&handle=" + dsHandle;
		url += "&userName=" + userName + "&groupName=" + groupName + "&i=" + Math.random();
		// End : DS7 AR27924
		loadXMLDoc(url,"validateFieldsCallBack","POST");
	}

function additionalCriteriaFieldValues(){
	  
	  var i;
	  for(i=0;i<6;i++){
		 var selectpropNode= document.getElementById('additional_criteria_prop'+i);
		 var selectpropvalueNode= document.getElementById('prop_value'+i);
		
		 if(selectpropNode==null || selectpropNode==null){
			 var j;
			 for (j=i+1;j<6;j++){
				 var nextselectprop= document.getElementById('additional_criteria_prop'+j);
				 var nextselectpropvalue= document.getElementById('prop_value'+j);
				 if(nextselectprop!=null && nextselectpropvalue!=null){
					 document.getElementById('additional_criteria_prop'+j).setAttribute("name",'additional_criteria_prop'+i);
					 document.getElementById('additional_criteria_prop'+j).setAttribute("id",'additional_criteria_prop'+i);
					 document.getElementById('prop_value'+j).setAttribute("name",'prop_value'+i);
					 document.getElementById('prop_value'+j).setAttribute("id",'prop_value'+i);
					
					 break;
				 }
			 }
			 
		 }
	  }
	 
  }

	function validateFieldsCallBack(xmlHttp){
		
		var str = xmlHttp.responseText;
        if(!str || str == '') return false;
        
		results = str.split('{SEP}');
		if (!results || results.length<4) return false;  // DS7 AR27924

		var result = results[0].split('=');		   
		var policyTitleExist = result[1];

		result = results[1].split('=');		   
		var validHandle = result[1];

		result = results[2].split('=');	
		// Start : DS7 AR27924	   
		var userHandle = result[1];
		
		result = results[3].split('=');		   
		var groupHandle = result[1];
                // End : DS7 AR27924

		if(policyTitleExist == "true"){
			$.unblockUI();
			alert ("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_duplicate_policy_title", currentLocale)) %>");
       		document.newEventForm.alert_title.focus();
        	return false;
		}

		val = document.newEventForm.collection_handle.value;
    	val = val.replace(/(^ +| +$)/, "");
	
   		if (val.toLowerCase() != "all" && (val.length == 0 || validHandle.toLowerCase() == "invalid")) {
			$.unblockUI();
      		alert ("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_collection_handle", currentLocale)) %>");
      		document.newEventForm.collection_handle.focus();
      		return false;
    	}

    	var search_scope = document.newEventForm.search_scope.value;
    	if (search_scope == -1) {
			$.unblockUI();
      		alert ("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_search_scope", currentLocale)) %>");
      		return false;
    	}

    var search_object = document.newEventForm.search_object.value;
    if (search_object == -1) {
		$.unblockUI();
        alert ("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_search_object", currentLocale)) %>");
        return false;
    }

    var eventNotificationBoth = getradioSelectionOfEventNotificationBoth();
	var isCPXLicenesed = "<%= isCPXLicenesed %>";
	if(isCPXLicenesed == 'false')
		eventNotificationBoth = 'lifeCycleManager.notification';

	if(isCPXLicenesed == 'true' && eventNotificationBoth != 'lifeCycleManager.notification'){  
		var eventSearchCriteria = getradioSelectionOfEventSearchCriteria(); 

		document.newEventForm.event_criteria.value = eventSearchCriteria;

		if(eventSearchCriteria == "future_event_date") {
      		var property_name1 = document.newEventForm.property_name1.value;
      		//alert("Future Date Property :"+property_name);
      		if (property_name1 == -1) {
				$.unblockUI();
        		alert ("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_property_name", currentLocale)) %>");
        		document.newEventForm.property_name1.focus();
        		return false;
      		}
      		val = document.newEventForm.no_of_units_prior_event.value;
      		val = val.replace(/(^ +| +$)/, "");
      		if (val.length == 0) {
				$.unblockUI();
        		alert ("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_unit_number", currentLocale)) %>");
        		document.newEventForm.no_of_units_prior_event.focus();
        		return false;
      		}
      		else if (val.length > 0) {
        		if(isNaN(val) || val < 0) {
					$.unblockUI();
          			alert("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_integer_value", currentLocale)) %>");
          			document.newEventForm.no_of_units_prior_event.focus();
        			return false;
        		}
      		}
    	}
    	else if(eventSearchCriteria == "past_event_date") {
      		var property_name1 = document.newEventForm.past_property_name1.value;
      		//alert("Past Date Property :"+property_name);
      		if (property_name1 == -1) {
				$.unblockUI();
        		alert ("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_property_name", currentLocale)) %>");
        		document.newEventForm.past_property_name1.focus();
        		return false;
     		}
      		val = document.newEventForm.no_of_units_after_date.value;
      		val = val.replace(/(^ +| +$)/, "");
      		if (val.length == 0) {
				$.unblockUI();
        		alert ("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_unit_number", currentLocale)) %>");
        		document.newEventForm.no_of_units_after_date.focus();
        		return false;
      		}
      		else if (val.length > 0) {
        		if(isNaN(val) || val < 0) {
					$.unblockUI();
          			alert("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_integer_value", currentLocale)) %>");
          			document.newEventForm.no_of_units_after_date.focus();
          			return false;
        		}
      		}
    	}else if(eventSearchCriteria == "predefined_event_date") {
			if(!isDate(document.getElementById('predefined_event_trigger_date').value, '<%=DateUtils.getDateFormatFromLocaleForJava(currentLocale)%>')){
				$.unblockUI();
				document.getElementById('predefined_event_trigger_date').focus();
				document.getElementById('status_div').innerHTML = '<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.invalid_date_error_message", dateFormatForLocale, currentLocale)) %>';
				return false;
			}
			var specific_property_name = document.newEventForm.specific_property_name.value;
      		//alert("Past Date Property :"+property_name);
      		if (specific_property_name == -1) {
				$.unblockUI();
        		alert ("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_property_name", currentLocale)) %>");
        		document.newEventForm.specific_property_name.focus();
        		return false;
     		}
		}
	}

    if(eventNotificationBoth != 'lifeCycleManager.event'){
		 var criteria = getradioSelectionOfNotificationSearchCriteria();
     	if(criteria == "future_date") {
      		var property_name = document.newEventForm.property_name.value;
      		
      		if (eventNotificationBoth == 'lifeCycleManager.notification' && property_name == -1) {
				$.unblockUI();
        		alert ("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_property_name", currentLocale)) %>");
        		document.newEventForm.property_name.focus();
        		return false;
      		}
      		val = document.newEventForm.no_of_units.value;
      		val = val.replace(/(^ +| +$)/, "");
      		if (val.length == 0) {
				$.unblockUI();
        		alert ("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_unit_number", currentLocale)) %>");
        		document.newEventForm.no_of_units.focus();
        		return false;
      		}
      		else if (val.length > 0) {
        		if(isNaN(val) || val < 0) {
					$.unblockUI();
          			alert("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_integer_value", currentLocale)) %>");
          			document.newEventForm.no_of_units.focus();
        			return false;
        		}
      		}
    	}
    	else if(criteria == "past_date"){
      		var property_name = document.newEventForm.past_property_name.value;
      		//alert("Past Date Property :"+property_name);
      		if (eventNotificationBoth == 'lifeCycleManager.notification' && property_name == -1) {
				$.unblockUI();
        		alert ("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_property_name", currentLocale)) %>");
        		document.newEventForm.past_property_name.focus();
        		return false;
     		}
      		val = document.newEventForm.past_no_of_units.value;
      		val = val.replace(/(^ +| +$)/, "");
      		if (val.length == 0) {
				$.unblockUI();
        		alert ("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_unit_number", currentLocale)) %>");
        		document.newEventForm.past_no_of_units.focus();
        		return false;
      		}
      		else if (val.length > 0) {
        		if(isNaN(val) || val < 0) {
					$.unblockUI();
          			alert("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_integer_value", currentLocale)) %>");
          			document.newEventForm.past_no_of_units.focus();
          			return false;
        		}
      		}

			val = document.newEventForm.past_max_days.value;
      		val = val.replace(/(^ +| +$)/, "");
      		if (val.length == 0) {
				$.unblockUI();
        		alert ("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_unit_number", currentLocale)) %>");
        		document.newEventForm.past_max_days.focus();
        		return false;
      		}
      		else if (val.length > 0) {
        		if(isNaN(val) || val < 0) {
					$.unblockUI();
          			alert("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_integer_value", currentLocale)) %>");
          			document.newEventForm.past_max_days.focus();
          			return false;
        		}
      		}
    	}else if(criteria == "predefined_date") {
			if(!isDate(document.getElementById('predefined_trigger_date').value, '<%=DateUtils.getDateFormatFromLocaleForJava(currentLocale)%>')){
				$.unblockUI();
				document.getElementById('predefined_trigger_date').focus();
				document.getElementById('status_div').innerHTML = '<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.invalid_date_error_message", dateFormatForLocale, currentLocale)) %>';
				return false;
			}
			var specific_property_name_notification = document.newEventForm.specific_property_name_notification.value;
      		//alert("Past Date Property :"+property_name);
      		if (specific_property_name_notification == -1) {
				$.unblockUI();
        		alert ("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_property_name", currentLocale)) %>");
        		document.newEventForm.specific_property_name_notification.focus();
        		return false;
     		}
		}

		// Start : DS7 AR27924
		var userName = document.getElementById('user_name').value;
		var	groupName = document.getElementById('group_name').value;
		if((userHandle == "" || userHandle == "none") && trim(userName) != ''){
			$.unblockUI();
			alert ("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_select_user_name", currentLocale)) %>");
   			document.getElementById('status_div').innerHTML = '';
			document.newEventForm.user_name.focus();
        	return false;
		}else
			document.getElementById('user_handle').value = userHandle; 

		if((groupHandle == "" || groupHandle == "none") && trim(groupName) != ''){
			$.unblockUI();
			alert ("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_select_group_name", currentLocale)) %>");
			document.getElementById('status_div').innerHTML = '';
			document.newEventForm.group_name.focus();
        	return false;
		}else
			document.getElementById('group_handle').value = groupHandle;
        // End : DS7 AR27924
	
        var status = getradioSelection();
    	if(status == 'predefined' && !isDate(document.getElementById('start_date').value, '<%=DateUtils.getDateFormatFromLocaleForJava(currentLocale)%>')){
			$.unblockUI();
			document.getElementById('start_date').focus();
			document.getElementById('status_div').innerHTML = '<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.invalid_date_error_message", dateFormatForLocale, currentLocale)) %>';
			return false;
		}

    	val = document.newEventForm.description.value;
    	val = val.replace(/(^ +| +$)/, "");
    	if (val.length > 500) {
			$.unblockUI();
      		alert ("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_description", currentLocale)) %>");
      		document.newEventForm.description.focus();
      		return false;
    	}

    	
    	if(status == "predefined") {
      		start_date = document.newEventForm.start_date.value;
      		end_date = document.newEventForm.end_date.value;
      		if(start_date.length < 10 || end_date.length < 10) {
				$.unblockUI();
        		alert ("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_predefined_period", currentLocale)) %>");
      			document.newEventForm.end_date.focus();
	    		return false;
      		}

	  		if(!checkDates("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_end_date_smaller", currentLocale)) %>", '<%=DateUtils.getDateFormatFromLocaleForJava(currentLocale)%>')){
				$.unblockUI();
				return false;
			}
    	}
	}

	alert_title = document.newEventForm.alert_title.value;
   	document.getElementById('eventName').value = alert_title;
	
	$.unblockUI();
			
	document.newEventForm.submit();
  }

  function parseMessages(responseXML,type) {
    var results = responseXML.getElementsByTagName("records")[0];
    if (!results) return;

    if(type == "object"){
      //alert("Parse Messages for Objects");
      var record;
      var names;
      //alert("the length of results is"+results.childNodes.length);
      if(results.childNodes.length > 0) {
        record = results.childNodes[0];
        names = new Array(record.childNodes.length);
        for (loop = 0; loop < record.childNodes.length; loop++) {
          //alert(record.childNodes[loop].nodeName+"  "+record.childNodes[loop].childNodes[0].nodeValue);
          names[loop] = record.childNodes[loop].childNodes[0].nodeValue;
        }
        appendObjectData(names);
      }
    }
    if(type == "property"){
      //alert("Parse Messages for Properties");
      var record;
      var names;
      //alert("the length of results is"+results.childNodes.length);
      if(results.childNodes.length > 0) {
        record = results.childNodes[0];
        names = new Array(record.childNodes.length);
        for (loop = 0; loop < record.childNodes.length; loop++) {
          //alert(record.childNodes[loop].nodeName+"  "+record.childNodes[loop].childNodes[0].nodeValue);
          names[loop] = record.childNodes[loop].childNodes[0].nodeValue;
        }
        appendPropertyData(names);
      }
    }
    if(type == "generalProps"){
      //alert("Parse Messages for Properties");
      var record;
      var names;
      //alert("the length of results is"+results.childNodes.length);
      if(results.childNodes.length > 0) {
        record = results.childNodes[0];
        names = new Array(record.childNodes.length);
        for (loop = 0; loop < record.childNodes.length; loop++) {
          //alert(record.childNodes[loop].nodeName+"  "+record.childNodes[loop].childNodes[0].nodeValue);
          names[loop] = record.childNodes[loop].childNodes[0].nodeValue;
        }
        appendAdditionalCriteriaData(names);
      }
    }
  }

  function refreshData(frm) {
    var search_scope = frm.search_scope.value;
      frm.property_name.options.length = 1;
    frm.search_object.options.length = 1;
    if(search_scope != -1) {
      var url = "GetData.jsp?object="+search_scope;
      getURL(url, objectcallback, true);
    }
  }

  function objectcallback() {
    //alert(xmlhttp.readyState+"  "+xmlhttp.status);
    if (xmlhttp.readyState == 4) {
      if (xmlhttp.status == 200) {
        var doc = xmlhttp.responseXML;
        parseMessages(doc,"object");
        //xmlhttp=null; // reset the object when finished
      }
      else if (xmlhttp.status == 204 || xmlhttp.status == 1223) {
        //alert(xmlhttp.readyState+"  "+xmlhttp.status);
      }
    }
  }

  function appendObjectData(names) {
    //alert("Appending Objects to picklist");
    document.newEventForm.search_object.options.length = 0;
    document.newEventForm.search_object.options[document.newEventForm.search_object.options.length] = new Option('--<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--', "-1");

    for(i=0; i<names.length; i++){
      var details = names[i];
      var len = details.length;
      var pos = details.indexOf("::",0);
      var value = details.substring(0,pos);
      var label = details.substring((pos+2),len);

      var search_scope = document.newEventForm.search_scope.value;
	  // Start : DS7 AR28447
	  var objsMap = '<%= DSUtils.getDSObjectsMap(dssession) %>';  
	  var indexOfOpenBracket = objsMap.indexOf("{");
      var indexOfLastBracket = objsMap.lastIndexOf("}");
	  var map = objsMap.substring(indexOfOpenBracket+1, indexOfLastBracket);
	  var res = map.split(",");
	  var found = false;
	  for(var k=0; k<res.length; k++)
	  {
	      var item = res[k];
		  var objs = item.split("=");
		  if(objs[1] == "Discussion")
		  {
		      objs[1] = "BulletinBoard";
		  }
		  if(objs[1] == "Topic")
		  {
		      objs[1] = "Bulletin";
		  }
											  
		  if(search_scope == trim(objs[0]) && value == trim(objs[1])) 
		  {
               document.newEventForm.search_object.options[document.newEventForm.search_object.options.length] = new Option(label, value,true,true);
			   found = true;
			   break;
           }
	  }
	  if(found == false)
	  {
          document.newEventForm.search_object.options[document.newEventForm.search_object.options.length] = new Option(label, value);
      }
	   // End : DS7 AR28447
    }
    var search_object = document.newEventForm.search_object.value;
    //alert("Selected Search Object :"+search_object);
    if(search_object != -1) {
      var url = "GetData.jsp?collclass="+search_object;
      //alert("Calling propertycallback with url :"+url);
      getURL(url, propertycallback, true);
    }
  }

	function updateEventPropertySelectBox(){
		var search_object = document.newEventForm.search_object.value;
	    url = "GetData.jsp?collclass=" + search_object + "&i=" + Math.random();
		getURL(url, updateEventPropertySelectBoxCallBack, true); 
	}

  function updateEventPropertySelectBoxCallBack(){
	if (xmlhttp.readyState == 4) {
      if (xmlhttp.status == 200) {
        var responseXML = xmlhttp.responseXML;
         var results = responseXML.getElementsByTagName("records")[0];
   		 if (!results) return;

		 if(results.childNodes.length > 0) {
        	record = results.childNodes[0];
        	names = new Array(record.childNodes.length);
        	for (loop = 0; loop < record.childNodes.length; loop++) {
          		//alert(record.childNodes[loop].nodeName+"  "+record.childNodes[loop].childNodes[0].nodeValue);
          		names[loop] = record.childNodes[loop].childNodes[0].nodeValue;
        	}
        	appendEventPropertyData(names);
      	 }
       }
     }   
   }

  function appendEventPropertyData(names) {
    var event_criteria = document.newEventForm.event_criteria.value;
        // Start : DS7 AR28447
	if(event_criteria.length == 0)
	{
		event_criteria = getradioSelectionOfEventSearchCriteria(); 
	}
	// End : DS7 AR28447
    if(event_criteria == "future_event_date") {
      	document.newEventForm.property_name1.options.length = 0;
      	document.newEventForm.property_name1.options[document.newEventForm.property_name1.options.length] = new Option('--<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--', "-1");
 	}else if(event_criteria == "past_event_date"){
      	document.newEventForm.past_property_name1.options.length = 0;
      	document.newEventForm.past_property_name1.options[document.newEventForm.past_property_name1.options.length] = new Option('--<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--', "-1");
    }else{
      	document.newEventForm.specific_property_name.options.length = 0;
      	document.newEventForm.specific_property_name.options[document.newEventForm.specific_property_name.options.length] = new Option('--<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--', "-1");		
	}
    for(i=0; i<names.length; i++){
      var details = names[i];
      var len = details.length;
      var pos = details.indexOf("::",0);
      var value = details.substring(0,pos);
      var label = details.substring((pos+2),len);

      if(event_criteria == "future_event_date") {
        if(value != "modified_date" && value != "create_date") {
          if(value == "expiration_date") {
            document.newEventForm.property_name1.options[document.newEventForm.property_name1.options.length] = new Option(label, value,true,true);
          }
          else {
            document.newEventForm.property_name1.options[document.newEventForm.property_name1.options.length] = new Option(label, value);
          }
        }
      }else if(event_criteria == "past_event_date"){
          if(value == "modified_date") {
            document.newEventForm.past_property_name1.options[document.newEventForm.past_property_name1.options.length] = new Option(label, value,true,true);
          }
          else {
            document.newEventForm.past_property_name1.options[document.newEventForm.past_property_name1.options.length] = new Option(label, value);
          }
      }else{
        document.newEventForm.specific_property_name.options[document.newEventForm.specific_property_name.options.length] = new Option(label, value);
      }
    }
  }

  function refreshPropertyData(frm) {
    var search_object = frm.search_object.value;
      frm.property_name.options.length = 1;
    if(search_object != -1) {
      var url = "GetData.jsp?collclass="+search_object;
      getURL(url, propertycallback, true);
    }
  }

  function propertycallback() {
    //alert(xmlhttp.readyState+"  "+xmlhttp.status);
    if (xmlhttp.readyState == 4) {
      if (xmlhttp.status == 200) {
        var doc = xmlhttp.responseXML;
        parseMessages(doc,"property");
        //xmlhttp=null; // reset the object when finished
      }
      else if (xmlhttp.status == 204 || xmlhttp.status == 1223) {
        //alert(xmlhttp.readyState+"  "+xmlhttp.status);
      }
    }
  }

  function generalpropscallback() {
    //alert(xmlhttp.readyState+"  "+xmlhttp.status);
    if (xmlhttp.readyState == 4) {
      if (xmlhttp.status == 200) {
        var doc = xmlhttp.responseXML;
        parseMessages(doc,"generalProps");
        //xmlhttp=null; // reset the object when finished
      }
      else if (xmlhttp.status == 204 || xmlhttp.status == 1223) {
        //alert(xmlhttp.readyState+"  "+xmlhttp.status);
      }
    }
  }

  function appendPropertyData(names) {
	// Append these values in event selectbox too
    appendEventPropertyData(names);

    var criteria = document.newEventForm.criteria.value;
    // Start : DS7 AR28447
    if(criteria.length == 0)
    {
        criteria = getradioSelectionOfNotificationSearchCriteria();
     }
     // End : DS7 AR28447
    //alert("Appending Properties to picklist for search Criteria :"+criteria);
    if(criteria == "future_date") {
      	document.newEventForm.property_name.options.length = 0;
      	document.newEventForm.property_name.options[document.newEventForm.property_name.options.length] = new Option('--<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--', "-1");
 	}else if(criteria == "past_date"){
      	document.newEventForm.past_property_name.options.length = 0;
      	document.newEventForm.past_property_name.options[document.newEventForm.past_property_name.options.length] = new Option('--<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--', "-1");
    }else{
      	document.newEventForm.specific_property_name_notification.options.length = 0;
      	document.newEventForm.specific_property_name_notification.options[document.newEventForm.specific_property_name_notification.options.length] = new Option('--<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--', "-1");		
	}

    for(i=0; i<names.length; i++){
      var details = names[i];
      var len = details.length;
      var pos = details.indexOf("::",0);
      var value = details.substring(0,pos);
      var label = details.substring((pos+2),len);

      if(criteria == "future_date") {
        if(value != "modified_date" && value != "create_date") {
          if(value == "expiration_date") {
            document.newEventForm.property_name.options[document.newEventForm.property_name.options.length] = new Option(label, value,true,true);
          }
          else {
            document.newEventForm.property_name.options[document.newEventForm.property_name.options.length] = new Option(label, value);
          }
        }
      }else  if(criteria == "past_date"){
          if(value == "modified_date") {
            document.newEventForm.past_property_name.options[document.newEventForm.past_property_name.options.length] = new Option(label, value,true,true);
          }
          else {
            document.newEventForm.past_property_name.options[document.newEventForm.past_property_name.options.length] = new Option(label, value);
          } 
      }else{
            document.newEventForm.specific_property_name_notification.options[document.newEventForm.specific_property_name_notification.options.length] = new Option(label, value);
	  }
    }

    var search_object = document.newEventForm.search_object.value;
    var type = "generalprops";
    var url = "GetData.jsp?collclass="+search_object+"&propstype="+type;
    //alert("Calling additionalcriteriacallback with url :"+url);
    getURL(url, generalpropscallback, true);
  }

  function appendAdditionalCriteriaData(names) {
    //alert("Property_names :"+names);
	//AR40019: Additional Criteria Dropdown is not getting populated in Create Lifecycle Manager Policy Page
	var rowLength = document.getElementById('additionalCriteriaTable').getElementsByTagName("tr").length;
	var idx;
	for(idx=0;idx<rowLength;idx++) {
	var elementId = 'additional_criteria_prop'+idx;
	var selectBox = document.getElementById(elementId);
	
	if(document.getElementById(elementId)!=null){
			selectBox.options.length = 0;
			selectBox.options[selectBox.options.length] = new Option('--<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--', "-1");

			for(i=0; i<names.length; i++){
			  var details = names[i];
			  var len = details.length;
			  var pos = details.indexOf("::",0);
			  var value = details.substring(0,pos);
			  var label = details.substring((pos+2),len);
			  //alert(criteria+" "+label+" "+value);
			  if(value != null) {
				if(value == "title") {
				  selectBox.options[selectBox.options.length] = new Option(label, value,true,true);
				}
				else {
				  selectBox.options[selectBox.options.length] = new Option(label, value);
				}
			  }
			  else {
				//alert("Skipping Property :"+value);
			  }
			}
	}
	}
   /* document.newEventForm.additional_criteria_prop0.options.length = 0;
    document.newEventForm.additional_criteria_prop0.options[document.newEventForm.additional_criteria_prop0.options.length] = new Option('--<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--', "-1");

    for(i=0; i<names.length; i++){
      var details = names[i];
      var len = details.length;
      var pos = details.indexOf("::",0);
      var value = details.substring(0,pos);
      var label = details.substring((pos+2),len);
      //alert(criteria+" "+label+" "+value);
      if(value != null) {
        if(value == "title") {
          document.newEventForm.additional_criteria_prop0.options[document.newEventForm.additional_criteria_prop0.options.length] = new Option(label, value,true,true);
        }
        else {
          document.newEventForm.additional_criteria_prop0.options[document.newEventForm.additional_criteria_prop0.options.length] = new Option(label, value);
        }
      }
      else {
        //alert("Skipping Property :"+value);
      }
    } */
	if(<%=strAlertId%>!=0){
		if(document.getElementById('search_scope').value == '<%=searchScope%>'){			
			refreshAdditionalCriteriaProps();
		}
	}
  }

  function deleteConfirmation() {
    if(!confirm("<%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.alert_delete_policy", currentLocale)) %>")) {
      return false;
    }
    else {
      return true;
    }
  }
	

    var mUserOrGroup="";
	var mSearchString="";
    function getUsersOrGroupsCallBack(xmlHttp)
	{
	    var str = xmlHttp.responseText;
		resetList();
        if(!str || str == '') return false;
        
		results = str.split('{SEP}');
		if (!results) return false;
		    
		var isThereAMatch = false;

		//var noOfUsersShown = results[0]; //The first one gives no of users already shown
		//results[0] will tell it's user or group and then, after comma, will give the offset the search started from
		//something like user , 0
		var userOrGroupAndOffsetForSearch = results[0].split(' , ');	

		if(mUserOrGroup == 'user')           
			listDiv = document.getElementById('userListDiv');
		  else	
			listDiv = document.getElementById('groupListDiv');
	   
		listDiv.innerHTML = '';
		for (var loop = 1; loop < results.length-1; loop++) {
		   var result = results[loop].split(' , ');		   
		   var handle = result[0];
		   var name = result[1];
           var email = result[2];
		   var userName = result[3];

		   if(mUserOrGroup == "user") //trim() added for AR 26506 
				nameEntered = trim(document.getElementById('user_name').value);
			  else
				nameEntered = trim(document.getElementById('group_name').value);
			// Start : DS7 AR27924	
			if(nameEntered.lastIndexOf (",") == -1)
			{
			    nameEntered = trim(nameEntered);
			}
			else
			{
				nameEntered = trim(nameEntered.substr(nameEntered.lastIndexOf (",") + 1));
			}
			// End : DS7 AR27924
		   //AR37806	
		   if((name.toLowerCase().indexOf(nameEntered.replace('&','&amp;').toLowerCase()) > -1 ||
		   name.toLowerCase().indexOf(nameEntered.replace("'","&#39;").toLowerCase()) > -1 
		   || email.toLowerCase().indexOf(nameEntered.replace('&','&amp;').toLowerCase()) > -1 ||
		   email.toLowerCase().indexOf(nameEntered.replace("'","&#39;").toLowerCase()) > -1||
					userName.toLowerCase().indexOf(nameEntered.replace('&','&amp;').toLowerCase()) > -1) && name.toLowerCase() != 'more' && name.toLowerCase() != 'less'){ 
			    if(mUserOrGroup == "user"){
					if(email == '') 
		      			listDiv.innerHTML += "<div style='color:#ccc;background-color:#E7EBFE;font-weight: bold;' id='" + handle + "' onclick='setUserName(\"" + mUserOrGroup +"\",\"" + handle + "\",\"" + name + "\" , \"" + email + "\");' onMouseOver='this.style.cursor=\"default\"; this.style.backgroundColor=\"lightblue\";' onMouseOut='this.style.backgroundColor=\"#E7EBFE\"'>" + name + " ( " + userName + " : " + email + " ) </div>"; // DS7 AR27924
					else
						listDiv.innerHTML += "<div id='" + handle + "' onclick='setUserName(\"" + mUserOrGroup +"\",\"" + handle + "\",\"" + name + "\", \"" + email + "\");' onMouseOver='this.style.cursor=\"default\"; this.style.backgroundColor=\"lightblue\";' onMouseOut='this.style.backgroundColor=\"#E7EBFE\"'>" + name + " ( " + userName + " : " + email + " ) </div>"; // DS7 AR27924
				}else{
					listDiv.innerHTML += "<div id='" + handle + "' onclick='setUserName(\"" + mUserOrGroup +"\",\"" + handle + "\",\"" + name + "\", \"" + email + "\");' onMouseOver='this.style.cursor=\"default\"; this.style.backgroundColor=\"lightblue\";' onMouseOut='this.style.backgroundColor=\"#E7EBFE\"'>" + name + " ( " + userName + " ) </div>"; // DS7 AR27924
				}
				isThereAMatch = true;
		   }else if(name.toLowerCase().indexOf('more') > -1){  
		      	listDiv.innerHTML += "<div id='more' onclick='getUsersOrGroups(\"" + mUserOrGroup +"\",\"" + mSearchString + "\",\"more\");' onMouseOver='this.style.cursor=\"default\"; this.style.backgroundColor=\"lightblue\";' onMouseOut='this.style.backgroundColor=\"#E7EBFE\"'>" + "---  <%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.more", currentLocale)) %>  ---" + "</div>";
		   }else if(name.toLowerCase().indexOf('less') > -1){  
		      	listDiv.innerHTML += "<div id='less' onclick='getUsersOrGroups(\"" + mUserOrGroup +"\",\"" + mSearchString + "\",\"less\");' onMouseOver='this.style.cursor=\"default\"; this.style.backgroundColor=\"lightblue\";' onMouseOut='this.style.backgroundColor=\"#E7EBFE\"'>" + "---  <%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.less", currentLocale)) %>  ---" + "</div>";
		   }
		
		}
		if(!isThereAMatch){
			if(userOrGroupAndOffsetForSearch[1] == '0')
				listDiv.innerHTML = "<div id='no_match' onclick='listDiv.style.display = \"\";' onMouseOver='this.style.cursor=\"default\"; this.style.backgroundColor=\"lightblue\";' onMouseOut='this.style.backgroundColor=\"#E7EBFE\"'>" + " <%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.no_match", currentLocale)) %>  " + "</div>";
			  else
				listDiv.innerHTML = "<div id='no_match' onclick='listDiv.style.display = \"\";' onMouseOver='this.style.cursor=\"default\"; this.style.backgroundColor=\"lightblue\";' onMouseOut='this.style.backgroundColor=\"#E7EBFE\"'>" + " <%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.no_more_match_found", currentLocale)) %>  " + "</div>";		
		}	
		listDiv.style.display = "block";   
		$.unblockUI();
		document.getElementById('please_wait_user_div').style.display = 'none';
		document.getElementById('please_wait_group_div').style.display = 'none';
		
	}

  	var lookUpTimeGapID=0;

	function resetList() {
	  	var userListDiv = document.getElementById('userListDiv');  
	  	userListDiv.style.display = "none";
	  	userListDiv.innerHTML = '';	 

		var groupListDiv = document.getElementById('groupListDiv');  
	  	groupListDiv.style.display = "none";
	  	groupListDiv.innerHTML = '';	  
	}

  	function getUsersOrGroups(userOrGroup, searchString, moreOrLess){ //By default it's not-yet-defined only
       if(moreOrLess == 'more' || moreOrLess == 'less'){
			$.blockUI({ message: '<img src="JQuery/loading.gif" /> <%= ProjectUtils.addEscapeCharacter(lifeCycleMessageObj.get("lifeCycleManager.please_wait", currentLocale)) %>....' ,
		    		  css: {backgroundColor: '#5F6161', color: '#fff', border: '0', width:'15%' }
		    		  });
		}
    	mUserOrGroup = userOrGroup;
		mSearchString = searchString;

		url = "getMatchingUsersOrGroups.jsp?userOrGroup=" + userOrGroup + "&searchString=" +  searchString + "&moreOrLess=" + moreOrLess + "&i=" + Math.random();
	    loadXMLDoc(url,"getUsersOrGroupsCallBack","POST"); //Added for AR 26506
  	}

    function resetSession(){
		url = "resetSessionVariablesForUsers.jsp?i=" + Math.random();
	    loadXMLDoc(url,"resetSessionCallBack","GET");	
	}

	function resetSessionCallBack(xmlHttp){
	}
	
	function setUserName(userOrGroup, handle, name, email)
	{
	    // Start : DS7 AR27924	
		var cursorValidationMsg = "<%= cursorValidationMsg %>";
        var nameHandleStr = name +"( "+ handle +" )";
		var cursorPosFlag = false;
		if(userOrGroup == "user")
		{	
		    var userName = document.getElementById('user_name').value;
			var cursor_pos = getCursorPosition(document.getElementById('user_name'));
		    var endPos = cursor_pos - searchStr.length;
	        if(userName != ''  && userName != searchStr)
		    {
			    if(userName.length == cursor_pos)
				{
			        userNameStr = userName.substring(0, endPos);
				}
				else
				{
				    alert(cursorValidationMsg);
					cursorPosFlag = true;
				    for(var i=0; i<cursor_pos; i++)
    			    {
        			    if(userName.charAt(i) == ",")
	    			    {
            		        startPos = i;
	    			    }
    			    }
					userNameStr = userName.substring(0, startPos+1) + userName.substring(cursor_pos);
				}
		    }

			if(email != '' && cursorPosFlag == false)
			{
			    if(userNameStr != ''){
			        userNameStr = userNameStr + nameHandleStr + ",";
				}
				else					
					userNameStr = nameHandleStr + ",";			
				document.getElementById('user_name').value = userNameStr;

				var userNameNew=userNameStr.split(",");		//AR33582
				for (i = 0; i < userNameNew.length-2; i++) {
					if(userNameNew[userNameNew.length-2].trim()===userNameNew[i].trim()){
						userNameNew.splice(userNameNew.length-2);
						document.getElementById('user_name').value=userNameNew+",";
						break;
					}
				}

			}
			else
			{
				document.getElementById('user_name').value = userNameStr;
			}
		}
		else
		{
			
		    var groupName = document.getElementById('group_name').value;
			var cursor_pos = getCursorPosition(document.getElementById('group_name'));
		    var endPos = cursor_pos - searchStr.length;
	        if(groupName != ''  && groupName != searchStr)
		    {
			    if(groupName.length == cursor_pos)
				{
			        groupNameStr = groupName.substring(0, endPos);
				}
				else
				{
				    alert(cursorValidationMsg);
					cursorPosFlag = true;
				    for(var i=0; i<cursor_pos; i++)
    			    {
        			    if(groupName.charAt(i) == ",")
	    			    {
            		        startPos = i;
	    			    }
    			    }
					groupNameStr = groupName.substring(0, startPos+1) + groupName.substring(cursor_pos);
				}
		    }
				
			if(cursorPosFlag == false)
			{
			
			    if(groupNameStr != ''){
			        groupNameStr = groupNameStr + nameHandleStr + ",";
				}
				else
					groupNameStr = nameHandleStr + ",";

					document.getElementById('group_name').value = groupNameStr;					
					
					var groupNameNew=groupNameStr.split(",");		//AR33582
					for (i = 0; i < groupNameNew.length-2; i++) {
						if(groupNameNew[groupNameNew.length-2].trim()===groupNameNew[i].trim()){
							groupNameNew.splice(groupNameNew.length-2);
							document.getElementById('group_name').value=groupNameNew+",";
							break;
						}
					}
			}
			else
			{
				document.getElementById('group_name').value = groupNameStr;
			}

			// End : DS7 AR27924
		}
        resetList();
	}
	
    // Start : DS7 AR27924
    function getCursorPosition(element) 
	{ 
        if (element.selectionStart) 
		{ 
            return element.selectionStart; 
        } 
		else if (document.selection) 
		{ 
            element.focus(); 
            var r = document.selection.createRange(); 
            if (r == null) { 
            return 0; 
            } 
            var re = element.createTextRange(), 
            rc = re.duplicate(); 
            re.moveToBookmark(r.getBookmark()); 
            rc.setEndPoint('EndToStart', re); 
            return rc.text.length; 
        }  
        return 0; 
    }

	function highlightText(userOrGroup)
	{
	var emailBox = "";
	var element = "";
	if(userOrGroup == 'user')
	{
	    emailBox = document.getElementById('user_name').value;
		element = document.getElementById('user_name');
	}
	else
	{
	    emailBox = document.getElementById('group_name').value;
		element = document.getElementById('group_name');
	}

    var curPos  = getCursorPosition(element);
    var startPos = 0;
    var endPos = 0;
    for(var i=0; i<curPos; i++)
    {
        if(emailBox.charAt(i) == ",")
	    {
            startPos = i;
	    }
		if(startPos == 0)
		    startPos = -1;
    }

    for(var j=curPos; j<emailBox.length; j++)
    {
        if(emailBox.charAt(j) == ",")
	    {
            endPos = j;
		    break;
	    }
		
		//j = emailBox.length;
    }
	
	if(curPos >0 && endPos == 0)
	    endPos = emailBox.length;

    if(curPos >= emailBox.length)
    {
	    // do nothing
    }
    else
       setInputSelection(element, startPos+1, endPos+1);
	}
	
	function onKeyDown(event,userOrGroup){          //AR33582
		var emailBox = "";
		var element = "";
		
		if(userOrGroup == 'user')
		{
			emailBox = document.getElementById('user_name').value;
			element = document.getElementById('user_name');
		}
		else
		{
			emailBox = document.getElementById('group_name').value;
			element = document.getElementById('group_name');
		}
		var key = event.keyCode || event.charCode;
		if( key == 8 || key == 46 ){			// 8->backspace  46->delete
		var curPos  = getCursorPosition(element);
		var startPos = 0;
		var endPos = 0;

		if(curPos==emailBox.length){
			for(var i=curPos-1;i>=0;i--)
			{
				if(emailBox.charAt(i) == ",")
				{
					if(emailBox.substring(i,curPos).trim() !==","){
						console.log("I'm in startPos " + i + "curPos " + curPos);
						startPos = i;
						break;

					}
				}
				if(startPos == 0)
					startPos = -1;
					
		}
		if(curPos >0 && endPos == 0)
	    endPos = emailBox.length;
		setInputSelection(element, startPos+1, emailBox.length+1);		
			}
		}
		resetList();
	}
	
	
	  function setInputSelection(input, startPos, endPos) {
        input.focus();
        if (typeof input.selectionStart != "undefined") {
            input.selectionStart = startPos;
            input.selectionEnd = endPos;
        } else if (document.selection && document.selection.createRange) {
            // IE branch
            input.select();
            var range = document.selection.createRange();
            range.collapse(true);
            range.moveEnd("character", endPos);
            range.moveStart("character", startPos);
            range.select();
        }
    }
    // End : DS7 AR27924
	
	function runOnKeyUp(userOrGroup){   
		 var element = "";
		 if(userOrGroup == 'user'){
			if(document.getElementById('user_name').value==''){		
					userNameStr=document.getElementById('user_name').value;		//AR33582
					resetList();
				}else{
					
					document.getElementById('please_wait_user_div').style.display = 'block';
					document.getElementById('userListDiv').style.display = 'none';
					document.getElementById('groupListDiv').style.display = 'none';
					searchString = document.getElementById('user_name').value;
					// Start : DS7 AR27924
					if(searchString.lastIndexOf (",") == -1)
					{
					    searchString = trim(searchString);
					}
					else
					{
						searchString = trim(searchString.substr(searchString.lastIndexOf (",") + 1));
					}
					// End : DS7 AR27924
					if(lookUpTimeGapID != 0)
						clearTimeout(lookUpTimeGapID);
					lookUpTimeGapID = setTimeout('getUsersOrGroups("user", searchString, "not-defined-yet")', 3000);
				}
		}else{   
		
			 if(document.getElementById('group_name').value==''){
					groupNameStr=document.getElementById('group_name').value;		//AR33582
					resetList();
				}else{
					
					document.getElementById('please_wait_group_div').style.display = 'block';
					document.getElementById('userListDiv').style.display = 'none';
					document.getElementById('groupListDiv').style.display = 'none';
					searchString = document.getElementById('group_name').value;
					// Start : DS7 AR27924
					if(searchString.lastIndexOf (",") == -1)
					{
					    searchString = trim(searchString);
					}
					else
					{
						searchString = trim(searchString.substr(searchString.lastIndexOf (",") + 1));
					}
					// End : DS7 AR27924
					if(lookUpTimeGapID != 0)
						clearTimeout(lookUpTimeGapID);
					lookUpTimeGapID = setTimeout('getUsersOrGroups("group", searchString, "not-defined-yet")', 3000);
				}
		}
		
		searchStr = searchString; // DS7 AR27924
	}

    /*The following code check(e) tracks all clicks on the form and if the click is on the user or group div or the input box the 
	* div won't hide but on any other place the div will be hidden */

	document.onclick=check;

	function check(e){
		var target = (e && e.target) || (event && event.srcElement);
		var userObj = document.getElementById('userListDiv');
		var groupObj = document.getElementById('groupListDiv');
		checkParent(target)?userObj.style.display='none':null;
		checkParent(target)?groupObj.style.display='none':null;
		checkParent(target)?document.getElementById('please_wait_user_div').style.display = 'none':null;
		checkParent(target)?document.getElementById('please_wait_group_div').style.display = 'none':null;
	}

	function checkParent(t){
		while(t.parentNode){
			if(t == document.getElementById('userListDiv') || t==document.getElementById('user_name') ||
				t == document.getElementById('groupListDiv') || t==document.getElementById('group_name')){
				return false
			}
			t=t.parentNode
		}
		return true
	}

	var addPrevNextYearButtons = function (input) {
        setTimeout(function () {
			var btnPrev = $("<a title=''><span></span></a>");
            btnPrev.addClass("ui-datepicker-prev-year ui-corner-all");
            btnPrev.click(function () {
                $.datepicker._adjustDate(input, -1, 'Y');
            });

			var btnNext = $("<a title=''><span></span></a>");
            btnNext.addClass("ui-datepicker-next-year ui-corner-all");
            btnNext.click(function () {
                $.datepicker._adjustDate(input, 1, 'Y');
            });

    		var datepickerHeader = $(input).datepicker("widget").find('.ui-datepicker-header');
            datepickerHeader.append(btnPrev);
            datepickerHeader.append(btnNext);
        }, 1);
    };
	/*************/

	function setNotifyAndEventUnit(optionID) {
		var unit = document.getElementById(optionID).value;
		var notify_look_up_unit = document.getElementById("look_up_unit");
		var notify_past_look_up_unit = document.getElementById("past_look_up_unit");
		var event_look_up_unit_prior = document.getElementById("look_up_unit_prior_event");
		var event_look_up_unit_after = document.getElementById("look_up_unit_after_event");		
		notify_look_up_unit.value = unit;
		notify_past_look_up_unit.value = unit;
		event_look_up_unit_prior.value = unit;
		event_look_up_unit_after.value = unit;		
	}	
	
function processRows (n) {
      var rowLen  = $('#additionalCriteriaTable tr').length;
	  var message='<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.additional_criteria_text", currentLocale)) %>';
		if(trim(n.value)=="+"){  
		 // if(rowLen > 5){
			//alert("You cannot add more than six additional criteria. Maximum limit for additional criteria is six.");   
		 // }else {		
			  $('#additionalCriteriaTable tr:last').clone(true).appendTo("#additionalCriteriaTable"); 
			  var captionText = $('#additionalCriteriaTable tr:first').children("td:first").html();
					  
			  $('#additionalCriteriaTable tr:last').children("td:first").html("");
			  $('#additionalCriteriaTable tr:last').children("td").children("input:text").each(function (index, element) {
				var eleName = $(element).attr("name"); 
				eleName = eleName.slice(0,-1);
				$(element).attr("name", eleName + rowLen);
				var eleId = $(element).attr("id"); 
				eleId = eleId.slice(0,-1);
				$(element).attr("id", eleId + rowLen);	
				//alert($(element).attr("name"));
				//alert($(element).attr("id"));	
				$(element).val("");			
			  });
			   $('#additionalCriteriaTable tr:last').children("td").children("input:button").each(function (index, element) {
				var eleName = $(element).attr("name"); 
				eleName = eleName.slice(0,-1);
				$(element).attr("name", eleName + rowLen);
				var eleId = $(element).attr("id"); 
				eleId = eleId.slice(0,-1);
				$(element).attr("id", eleId + rowLen);
			  });
			  $('#additionalCriteriaTable tr:last').children("td").children("select").each(function (index, element) {
				var eleName = $(element).attr("name"); 
				eleName = eleName.slice(0,-1);
				$(element).attr("name", eleName + rowLen);
				//Added below for AR40016
				var eleId = $(element).attr("id"); 
				eleId = eleId.slice(0,-1);
				$(element).attr("id", eleId + rowLen);
				//alert($(element).attr("id"));
					
			  });
			  $('#additionalCriteriaTable tr:last').prev('#additionalCriteriaTable tr').find("input:button").val("-"); 
			  if(rowLen == 5){
				 $('#additionalCriteriaTable tr').eq(5).find("input:button").remove();
			  }
			  if(rowLen == 1){				 
				 $('#additionalCriteriaTable tr').eq(1).children("td:first").html("<font color='red'>"+message+"</font>");
			  }
		  //}
		 }else if(trim(n.value) == "-"){
			 var trow = n.parentNode.parentNode;
			 var firstCellData = $('#additionalCriteriaTable tr:first').children("td:first").html();
			
			 if(rowLen==2){
				 var buttonHtml =  $('#additionalCriteriaTable tr:first').children("td").eq(4).html();
			 }
			 //Removed trow.remove() to deleteRow for support on IE: AR40020
			 var rowIndex = trow.rowIndex;
			// trow.remove();			
		     document.getElementById('additionalCriteriaTable').deleteRow(rowIndex); 
			 $('#additionalCriteriaTable tr').eq(1).children("td:first").html("<font color='red'>"+message+"</font>");
			 if(rowLen==2){
				$('#additionalCriteriaTable tr:first').children("td").eq(4).html(buttonHtml);
				$('#additionalCriteriaTable tr:first').find("input:button").val("+");
			 }
			 $('#additionalCriteriaTable tr:first').children("td:first").html(firstCellData);
			 
			 if(rowLen < 7){			
				var btnHtml =  $('#additionalCriteriaTable tr:first').children("td").eq(4).html();
				$('#additionalCriteriaTable tr:last').children("td").eq(4).html(btnHtml);
				$('#additionalCriteriaTable tr:last').find("input:button").val("+");
			 }
		 }
		 //AR40016
		 additionalCriteriaFieldValues();
		 
	 }
	 
	function refreshAdditionalCriteriaProps(){
	   var rowLength = document.getElementById('additionalCriteriaTable').getElementsByTagName("tr").length;
	   var idx;
	   for(idx=0;idx<rowLength;idx++) {
			var elementId = 'additional_criteria_prop'+idx;	
			var selectBox = document.getElementById(elementId);
			if(selectBox!=null){				
				if(idx==0){
					<%if(additionalCriteriaProp0!=null && !("").equals(additionalCriteriaProp0)) {%>
					var i ;
					for ( i = 0; i < selectBox.options.length; i++ ) {
							if ( selectBox.options[i].value == '<%=additionalCriteriaProp0%>' ) {								    
									selectBox.options[i].selected=true;
									break;
							}
					}
					document.getElementById('prop_value0').value='<%=(additionalCriteriaPropValue0!=null)?additionalCriteriaPropValue0:""%>';
					<%}%>
				} else if(idx==1){
					<%if(additionalCriteriaProp1!=null && !("").equals(additionalCriteriaProp1)) {%>
					var i ;
					for ( i = 0; i < selectBox.options.length; i++ ) {						
							if ( selectBox.options[i].value == '<%=additionalCriteriaProp1%>' ) {
								    selectBox.options[i].selected=true;
									break;
							}
					}
					document.getElementById('prop_value1').value='<%=(additionalCriteriaPropValue1!=null)?additionalCriteriaPropValue1:""%>';
					<%}%>
				} else if(idx==2){
					<%if(additionalCriteriaProp2!=null && !("").equals(additionalCriteriaProp2)) {%>
					var i ;
					for ( i = 0; i < selectBox.options.length; i++ ) {
							if ( selectBox.options[i].value == '<%=additionalCriteriaProp2%>' ) {
									selectBox.options[i].selected=true;
									break;
							}
					}
					document.getElementById('prop_value2').value='<%=(additionalCriteriaPropValue2!=null)?additionalCriteriaPropValue2:""%>';
					<%}%>
				} else if(idx==3){
					<%if(additionalCriteriaProp3!=null && !("").equals(additionalCriteriaProp3)) {%>
					var i ;
					for ( i = 0; i < selectBox.options.length; i++ ) {
							if ( selectBox.options[i].value == '<%=additionalCriteriaProp3%>' ) {
								    selectBox.options[i].selected=true;
									break;
							}
					}
					document.getElementById('prop_value3').value='<%=(additionalCriteriaPropValue3!=null)?additionalCriteriaPropValue3:""%>';
					<%}%>
				} else if(idx==4){
					<%if(additionalCriteriaProp4!=null && !("").equals(additionalCriteriaProp4)) {%>
					var i ;
					for ( i = 0; i < selectBox.options.length; i++ ) {
							if ( selectBox.options[i].value == '<%=additionalCriteriaProp4%>' ) {
									selectBox.options[i].selected=true;
									break;
							}
					}
					document.getElementById('prop_value4').value='<%=(additionalCriteriaPropValue4!=null)?additionalCriteriaPropValue4:""%>';
					<%}%>
				} else if(idx==5){
					<%if(additionalCriteriaProp5!=null && !("").equals(additionalCriteriaProp5)) {%>
					var i ;
					for ( i = 0; i < selectBox.options.length; i++ ) {
							if ( selectBox.options[i].value == '<%=additionalCriteriaProp5%>' ) {
								    selectBox.options[i].selected=true;
									break;
							}
					}
					document.getElementById('prop_value5').value='<%=(additionalCriteriaPropValue5!=null)?additionalCriteriaPropValue5:""%>';
					<%}%>
				}
				
			}
	   }
   }  
   
   function refreshAdditionalCriteriaValues(){
	   var rowLength = document.getElementById('additionalCriteriaTable').getElementsByTagName("tr").length;
	   var idx;
	   for(idx=0;idx<rowLength;idx++) {
			var elementId = 'prop_value'+idx;		
			if(document.getElementById(elementId)!=null){
				document.getElementById(elementId).value='';
			}
	   }
   }  
  
</script>
</head>


<body id="addEditLCMEvent">
		<%@ include file="logoHeading.jsp" %>
		<div id="generic_title">
		<h1>
		<% if(alertId != 0){ 
			out.println(edit_title);
		}else{
			out.println(create_title);
		}%>
		</h1></div>
		<div id="content">
			<form name="newEventForm" id='newEventForm' method="post" action="" onkeypress="return event.keyCode!=13">
				<input type="hidden" name="eventName" id='eventName' value='false'/>
				<input type="hidden" name="alertId" id='alertId' value='<%=strAlertId%>'/>
				<input type="hidden" name="criteria" value=""/>
				<%-- DS7 AR27924 --%>
				<input type="hidden" name="user_handle" id="user_handle" <%if(userHandle.indexOf("User") != -1){%>value="<%=userHandle%>"<%}else{%>value="none"<%}%>/>
				<input type="hidden" name="group_handle" id="group_handle" <%if(groupHandle.indexOf("Group") != -1){%>value="<%=groupHandle%>"<%}else{%>value="none"<%}%>/>	
				<div id="status_div" class="statusDiv"><%= screen_status %></div>
				<br/>
				<fieldset class="widthed">			
				<table width="100%" align="center" class="tableClass">
					<tr class="even">					    
						<% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.event_title" + "&amp;key=" + "lifeCycleManager.event_title_help"; %>
             			<td width="30%" align="right" ><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.event_title", currentLocale)) %></a>: <br/>
								<small>(<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.required", currentLocale)) %>)</small>
							</td>
						<td colspan=3><input class="requiredField" type="text" name="alert_title"  id="alert_title" size="50%" value="<%= policyTitle %>" ></input></td>
					</tr>
					<tr class="odd">
					    <% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.collection_handle" + "&amp;key=" + "lifeCycleManager.collection_handle_help"; %>
             			<td align="right"><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.collection_handle", currentLocale)) %></a>: <br/>
					    		<small>(<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.required", currentLocale)) %>)</small>
					    	<br/>
					    	<font color="blue">
					    		<small>(<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.all_collections", currentLocale)) %>)</small>
					    	</font></td>
						<td colspan=3 valign="middle"><input type="text" class="requiredField" name="collection_handle" id="collection_handle" value="<%=collectionHandle%>" size="50%"></input></td>
					</tr>
					<tr class="even">
						<% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.search_scope" + "&amp;key=" + "lifeCycleManager.search_scope_help"; %>
             			<td align="right"><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.search_scope", currentLocale)) %></a>: <br/>
								<small>(<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.required", currentLocale)) %>)</small>
							</td>
						<td colspan=3><select class="requiredField" name="search_scope" id="search_scope"  onchange="refreshData(this.form); resetSpan('futureDate');refreshAdditionalCriteriaValues();">
				 				<option value="-1" selected="selected">--<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--</option>
								<%-- Start : DS7 AR28447 --%>
							    <%   
								Iterator it = hm.entrySet().iterator();
                                while (it.hasNext()) 
				                {
                                    Map.Entry map = (Map.Entry)it.next();
					                if(excludeObjList.contains(map.getKey()) || excludeObjList.contains(map.getValue()))
					                {
									    LifecycleManagerLogs.logger.debug("Excluding the search object "+map.getValue()+" as this is present in excluded list in LifecycleManager.properties file.");
									}
                                    else
                                    {									
					       	            String objKey = (String) map.getKey() ;
				                        String objValue = (String) map.getValue();
										String msgKey = "lifeCycleManager."+objKey.toLowerCase();
						
							    %>
								<option value='<%=objKey%>' <%if(searchScope.equalsIgnoreCase(objKey)){%>selected<%}%>><%= AmberUtility.escapeValue(lifeCycleMessageObj.get(msgKey, currentLocale)) %></option>
								<%
								    }
                                }
								%>
								<%-- End : DS7 AR28447 --%>
				 			</select></td>
				 	</tr>
				 	<tr class="odd">
				 		<% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.search_object" + "&amp;key=" + "lifeCycleManager.search_object_help"; %>             			
						<td align="right"><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.search_object", currentLocale)) %></a>: <br/>
								<small>(<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.required", currentLocale)) %>)</small>
							</td>
						<td colspan=3><select class="requiredField" name="search_object" id="search_object"  onchange="refreshPropertyData(this.form)">
				 				<option value="-1" selected="selected">--<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--</option>
				 				<%try{
					 				  if(alertId != 0){
									      String label = null;
									      DSClass collclass[] = dssession.getDSClasses();
									      for(int j=0;j< collclass.length;j++) {
										  
										  // Start : DS7 AR28447
										  Iterator itr = hm.entrySet().iterator();
										  while (itr.hasNext()) 
				                          {
                                              Map.Entry map = (Map.Entry)itr.next();
											  String mapKey = map.getKey().toString();
											  String mapValue = map.getValue().toString();
											  
											  if(mapValue.equals("Discussion"))
	                                              mapValue = "BulletinBoard";
												  
											  if(mapValue.equals("Topic"))
	                                              mapValue = "Bulletin";
											  
									          if(searchScope.equalsIgnoreCase(mapKey) && collclass[j].isClonedFrom(mDSSession.getDSClass(mapValue))) {
												// End : DS7 AR28447
									            try
									            {
									              label = collclass[j].getLabel(Localized.getRequestLocale(request));
									            }
									            catch(Exception ex)
									            {
									              label = collclass[j].getName();
									            }%>
									            <option value="<%=collclass[j].getName()%>" <%if(collclass[j].getName().equalsIgnoreCase(searchObject)){%>selected="selected"<%}%>><%=label%></option>
									            
									          <% break; } // DS7 AR28447
											   }
									        }
					 				  }
				 				}catch(Exception ex){
				 					LifecycleManagerLogs.logger.error("Exception in AddEditLifecycleManagerEvents.jsp while getting the search objects: ", ex);
				 				}
							      %>
				 			</select></td>
				 	</tr>
				 </table>
				
				<table width="100%" align="center" class="tableClass" <%if(isCPXLicenesed){%>style="display:"<%}else{%>style="display:none"<%}%>>
				 	<tr class="even">
				      <% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.please_select" + "&amp;key=" + "lifeCycleManager.please_select_help"; %>             			
					  <td width="30%" align="right"><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.please_select", currentLocale)) %></a>:</td>
				      <td colspan=3><span style="white-space:nowrap"><input type=radio name="how_to_send" id="how_to_send" value="lifeCycleManager.event" <%if(eventNotificationBoth.equalsIgnoreCase("lifeCycleManager.event")){%>checked<%}%> onclick="showAndHideTheseDivs('event')"/>
				      							<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.send_only_event", currentLocale)) %>
				      				</span>
				      				<span style="white-space:nowrap"><input type=radio name="how_to_send" id="how_to_send" value="lifeCycleManager.notification" <%if(eventNotificationBoth.equalsIgnoreCase("lifeCycleManager.notification")){%>checked<%}%> onclick="showAndHideTheseDivs('notifications'); resetSpan('futureDate'); refreshPropertyData(this.form);"/>
				      							<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.send_notification", currentLocale)) %>
				      				</span>
				      				<span style="white-space:nowrap"><input type=radio name="how_to_send" id="how_to_send" value="lifeCycleManager.both" <%if(eventNotificationBoth.equals("") || eventNotificationBoth.equalsIgnoreCase("lifeCycleManager.both")){%>checked<%}%>  
				      						onclick="showAndHideTheseDivs('both')"/><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.send_both", currentLocale)) %>
				      				</span>
				      </td>
				    </tr>
				 </table>
				 
			 	 <div id="eventDateDiv" <%if(isCPXLicenesed && !eventNotificationBoth.equalsIgnoreCase("lifeCycleManager.notification")){%>style="display:"<%}else{%>style="display:none"<%}%>>
					<table width="100%" align="center" class="tableClass">
					 	<tr class="odd">
						    <% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.choose_event_trigger_date" + "&amp;key=" + "lifeCycleManager.find_objects_help"; %>             			
					  		<td width="30%" align="right" ><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.choose_event_trigger_date", currentLocale)) %></a>:</td>
						    <td colspan=3>
						      <span style="white-space:nowrap"><input type="radio" name="event_trigger_criteria" value="future_event_date" <%if(eventSearchCriteria.equalsIgnoreCase("future_event_date")){%>checked<%}%>
						      			onclick="resetEventSpan('futureEventDateDiv');updateEventPropertySelectBox(); " />&nbsp;
						      				<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.execute_to_prior_date_event", currentLocale)) %>
						      </span><br/>
						      <span style="white-space:nowrap"><input type="radio" name="event_trigger_criteria" value="past_event_date" <%if(eventSearchCriteria.equalsIgnoreCase("past_event_date")){%>checked<%}%>
						      			onclick="resetEventSpan('pastEventDateDiv'); updateEventPropertySelectBox();"/>&nbsp;
						      				<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.execute_after_event_date_event", currentLocale)) %>
						      </span><br/>
						      <span style="white-space:nowrap"><input type="radio" name="event_trigger_criteria" value="predefined_event_date" onclick="resetEventSpan('predefinedEventDateDiv'); updateEventPropertySelectBox();" 
						      			<%if(eventSearchCriteria.equals("") || eventSearchCriteria.equalsIgnoreCase("predefined_event_date")){%>checked<%}%> />&nbsp;
						      				<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.execute_on_manual_date", currentLocale)) %>
						      </span>
						      <input type="hidden" name="event_criteria" value=""/>
						    </td>
						</tr>
				    </table>
				    <div id="futureEventDateDiv" <%if(eventSearchCriteria.equalsIgnoreCase("future_event_date")){%>style="display: ;"<%}else{%>style="display: none;"<%}%>>
						  <table width="100%" align="center" class="tableClass">
						 	<tr class="even">
								<% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.event_aging_date" + "&amp;key=" + "lifeCycleManager.event_aging_date_help"; %>             			
					  			<td width="30%" align="right"><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.event_aging_date", currentLocale)) %></a>: 
								</td>
								<td width=20%>
								    <input class="requiredField" type="text" name="no_of_units_prior_event"  id="no_of_units_prior_event" 
								    		value="<%= eventNoOfUnits %>" style="width:60px"></input>
									<select class="requiredField" name="look_up_unit_prior_event" id="look_up_unit_prior_event" onchange="setNotifyAndEventUnit('look_up_unit_prior_event')">
						 				<option value="days" <%if(eventLookupUnit.equals("") || eventLookupUnit.equalsIgnoreCase("days")){%>selected<%}%>>
						 						<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.days",  currentLocale)) %></option>
			        					<option value="weeks" <%if(eventLookupUnit.equalsIgnoreCase("weeks")){%>selected<%}%>>
			        							<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.weeks", currentLocale)) %></option>
			        					<option value="months" <%if(eventLookupUnit.equalsIgnoreCase("months")){%>selected<%}%>>
			        							<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.months", currentLocale)) %></option>
						 			</select></td>
						 		<td width="10%" align="right"><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.prior_to", currentLocale)) %> </td>
						 		<td>
					 		        <select class="requiredField" name="property_name1" id="property_name1">
						 				<option value="-1" selected="selected">--<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--</option>
						 				 <% try{
						 					 if(alertId != 0){
						 				      	DSClass dsclass = dssession.getDSClass(searchObject);
										          DSPropDesc propdesc[] = dsclass.getPropDescs();
										          for(int i=0;i< propdesc.length;i++){
										            if(propdesc[i].getType() == DSPropTypes.DATE && propdesc[i].getName() != null){
										              String propLabel = null;
										              String propName = propdesc[i].getName();
										              try {
										                propLabel = propdesc[i].getPropLabel(Localized.getRequestLocale(request));
										              }
										              catch(Exception ex) {
										                propLabel =propName;
										              }
													//Added create_date for AR-39068
										              if(propName.equalsIgnoreCase("modified_date") || propName.equalsIgnoreCase("create_date")) { 
										                continue;
										              }
										              else {%>
										                  <option value="<%=propName%>"  <%if(propName.equalsIgnoreCase(propertyNameToBelookedForInEvent)) {%>selected<%}%>><%=propLabel%></option>									                  
										                  <%
										                }
										              }
										             }
									           	}
									           }catch(Exception ex){
											    	LifecycleManagerLogs.logger.error("Exception in AddEditLifecycleManagerEvents.jsp while getting different properties of the object: ", ex);
											    }%>
						 			</select>
						 		</td>
						 	</tr>
					    </table>
					</div>
					
					 <div id="pastEventDateDiv" <%if(eventSearchCriteria.equalsIgnoreCase("past_event_date")){%>style="display:;"<%}else{%>style="display: none;"<%}%>>
						  <table width="100%" align="center" class="tableClass">
						 	<tr class="even">
								<% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.event_aging_date" + "&amp;key=" + "lifeCycleManager.event_aging_date_help"; %>             			
					  			<td width="30%" align="right"><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.event_aging_date", currentLocale)) %></a>: 
								</td>
								<td width=20%>
								    <input class="requiredField" type="text" name="no_of_units_after_date"  value="<%= eventNoOfUnits %>" id="no_of_units_after_date" style="width:60px"></input>
									<select class="requiredField" name="look_up_unit_after_event" id="look_up_unit_after_event" onchange="setNotifyAndEventUnit('look_up_unit_after_event')">s
						 				<option value="days" <%if(eventLookupUnit.equals("") || eventLookupUnit.equalsIgnoreCase("days")){%>selected<%}%>>
						 								<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.days", currentLocale)) %></option>
			        					<option value="weeks" <%if(eventLookupUnit.equalsIgnoreCase("weeks")){%>selected<%}%>>
			        									<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.weeks", currentLocale)) %></option>
			        					<option value="months" <%if(eventLookupUnit.equalsIgnoreCase("months")){%>selected<%}%>>
			        									<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.months", currentLocale)) %></option>
						 			</select></td>
						 		<td width="10%" align="right"><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.after", currentLocale)) %> </td>
						 		<td><select class="requiredField" name="past_property_name1" id="past_property_name1">
						 				<option value="-1" selected="selected">--<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--</option>
						 				<%  try{
						 						if(alertId != 0){						 				
								 				      DSClass dsclass = dssession.getDSClass(searchObject);
											          DSPropDesc propdesc[] = dsclass.getPropDescs();
											          for(int i=0;i< propdesc.length;i++){
											            if(propdesc[i].getType() == DSPropTypes.DATE && propdesc[i].getName() != null){
											              String propLabel = null;
											              String propName = propdesc[i].getName();
											              try {
											                propLabel = propdesc[i].getPropLabel(Localized.getRequestLocale(request));
											              }
											              catch(Exception ex) {
											                propLabel =propName;
											              }%>
											                  <option value="<%=propName%>"  <%if(propName.equalsIgnoreCase(propertyNameToBelookedForInEvent)) {%>selected<%}%>><%=propLabel%></option>									                  
											                  <%
											              }
											             }
											           }
											    }catch(Exception ex){
											    	LifecycleManagerLogs.logger.error("Exception in AddEditLifecycleManagerEvents.jsp while getting date properties of the object: ", ex);
											    }%>
						 			</select></td>
						 	</tr>
					    </table>
					</div>
					<div id="predefinedEventDateDiv" <%if(eventSearchCriteria.equals("") || eventSearchCriteria.equalsIgnoreCase("predefined_event_date")){%>style="display:;"<%}else{%>style="display: none;"<%}%>>
					  <table width="100%" align="center" class="tableClass">
					    <tr class="even">
					      <% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.event_aging_date" + "&amp;key=" + "lifeCycleManager.event_aging_date_help"; %>             			
					  	  <td width="30%" align="right"><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.event_aging_date", currentLocale)) %></a>:
					      				 </td>
					      <td width="20%">					       
					        <input type="text" name="predefined_event_trigger_date" id="predefined_event_trigger_date" size=10 value="<%= exactEventDate %>"/>
					        <b><small><%= DateUtils.getDateFormatFromLocaleForUI(currentLocale) %></small></b>
					      </td>
					      <td width="10%" align="right">
					      	 <%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.for", currentLocale)) %>
					      </td>
					      <td width="10%">
					      	<select class="requiredField" name="specific_property_name" id="specific_property_name">
				 				<option value="-1" selected="selected">--<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--</option>
				 				    <%try{
				 				    	if(alertId != 0){
					 				      DSClass dsclass = dssession.getDSClass(searchObject);
								          DSPropDesc propdesc[] = dsclass.getPropDescs();
								          for(int i=0;i< propdesc.length;i++){
								            if(propdesc[i].getType() == DSPropTypes.DATE && propdesc[i].getName() != null){
								              String propLabel = null;
								              String propName = propdesc[i].getName();
								              try {
								                propLabel = propdesc[i].getPropLabel(Localized.getRequestLocale(request));
								              }
								              catch(Exception ex) {
								                propLabel =propName;
								              }%>
								                  <option value="<%=propName%>"  <%if(propName.equalsIgnoreCase(propertyNameToBelookedForInEvent)) {%>selected<%}%>><%=propLabel%></option>									                  
								                  <%
								              }
								             }
								           }
								         }catch(Exception ex){
											  LifecycleManagerLogs.logger.error("Exception in AddEditLifecycleManagerEvents.jsp while getting specific date properties of the object: ", ex);
										 }%>
						 	</select>
					      </td>
					    </tr>
					  </table>
					</div>
				</div>
			   
			   <div id="notifySearchCriteriaDivForNotification" <%if(!isCPXLicenesed || eventNotificationBoth.equalsIgnoreCase("lifeCycleManager.notification")){%>style="display:"<%}else{%>style="display:none"<%}%>>
					<table width="100%" align="center" class="tableClass">
				
						<tr class="odd">
						    <% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.choose_search_criteria" + "&amp;key=" + "lifeCycleManager.find_objects_help"; %>             			
					  		<td width="30%" align="right" ><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.choose_search_criteria", currentLocale)) %></a>:</td>
						    <td colspan=3>
					          <span style="white-space:nowrap"><input type="radio" id="searchCriteriaFuture" name="search_criteria" value="future_date" onclick="resetSpan('futureDate'); refreshPropertyData(this.form);" 
						      				 <%if(notificationSearchCriteria.trim().equals("") || notificationSearchCriteria.equalsIgnoreCase("future_date")){%>checked<%}%>/>&nbsp;
						      				<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.execute_to_prior_date", currentLocale)) %>
						      </span><br/>
						      <span style="white-space:nowrap"><input type="radio" id="searchCriteriaPast" name="search_criteria" value="past_date" onclick="resetSpan('pastDate'); refreshPropertyData(this.form);"
						      				 <%if(notificationSearchCriteria.equalsIgnoreCase("past_date")){%>checked<%}%>/>&nbsp;
						      				<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.execute_after_event_date", currentLocale)) %>							   
						       </span><br/>
						       <div  id="specificNotificationDiv">
							      <span style="white-space:nowrap"><input type="radio" id="searchCriteriaPredefined" name="search_criteria" value="predefined_date" 
							      			onclick="resetSpan('predefinedDate'); refreshPropertyData(this.form);" 
							      			<%if(notificationSearchCriteria.equalsIgnoreCase("predefined_date")){%>checked<%}%> />&nbsp;
							      				<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.execute_on_manual_date",  currentLocale)) %>
							   	  </span>
							   </div>
						    </td>
						</tr>
					</table>
				</div>
				
				<div id="notifySearchCriteriaDivForBoth" <%if(isCPXLicenesed && ( eventNotificationBoth.equals("") || eventNotificationBoth.equalsIgnoreCase("lifeCycleManager.both"))){%>style="display:"<%}else{%>style="display:none"<%}%>>
					<table width="100%" align="center" class="tableClass">
				
						<tr class="odd">
						    <% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.choose_both" + "&amp;key=" + "lifeCycleManager.choose_both_help"; %>             			
					  		<td width="30%" align="right" ><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.choose_both", currentLocale)) %></a>:</td>
						    <td colspan=3>
						     	<span style="white-space:nowrap"><input type="radio" id="searchCriteriaFutureBoth" name="search_criteria_both" value="future_date" onclick="resetSpan('futureDate');" 
						      				 <%if(notificationSearchCriteria.trim().equals("") || notificationSearchCriteria.equalsIgnoreCase("future_date")){%>checked<%}%>/>&nbsp;
						      				<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.prior_to_event", currentLocale)) %>
						        </span>
						       <br/>
						       <span style="white-space:nowrap"><input type="radio" id="searchCriteriaPastBoth" name="search_criteria_both" value="past_date" onclick="resetSpan('pastDate');"
						      				 <%if(notificationSearchCriteria.equalsIgnoreCase("past_date")){%>checked<%}%>/>&nbsp;
						      				<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.after_event", currentLocale)) %>
						  
						       </span>
						       <br/>
						    </td>
						</tr>
					</table>
				</div>
				
		   		 <div id="futureDate" <%if(eventNotificationBoth.equalsIgnoreCase("lifeCycleManager.event") || notificationSearchCriteria.equalsIgnoreCase("past_date") || notificationSearchCriteria.equalsIgnoreCase("predefined_date")){%>style="display:none"<%}%>>
					  <table width="100%" align="center" class="tableClass">
					 	<tr class="odd">
							 <% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.event_aging_date" + "&amp;key=" + "lifeCycleManager.event_aging_date_help"; %>             			
					  	     <td width="30%" align="right"><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.event_aging_date", currentLocale)) %></a>: 
									<br/><small>(<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.required", currentLocale)) %>)</small>
								</td>
							<td width="20%">
								<input class="requiredField" type="text" name="no_of_units"  id="no_of_units" value="<%= notificationNoOfUnits %>" style="width:60px"></input>
								<select class="requiredField" name="look_up_unit" id="look_up_unit" onchange="setNotifyAndEventUnit('look_up_unit')">
					 				<option value="days" <%if(notificationLookupUnit.equals("") || notificationLookupUnit.equalsIgnoreCase("days")){%>selected<%}%>>
					 							<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.days", currentLocale)) %></option>
		        					<option value="weeks" <%if(notificationLookupUnit.equalsIgnoreCase("weeks")){%>selected<%}%>>
		        								<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.weeks", currentLocale)) %></option>
		        					<option value="months" <%if(notificationLookupUnit.equalsIgnoreCase("months")){%>selected<%}%>>
		        								<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.months", currentLocale)) %></option>
					 			</select></td>
					 		<td width="15%">
					 			<span id="notiificationBeforeSpan" <%if(!isCPXLicenesed  || eventNotificationBoth.equalsIgnoreCase("lifeCycleManager.notification")){%>style="display:"<%}else{%>style="display:none"<%}%>>
					 				<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.prior_to", currentLocale)) %> 
				 				</span>
					 			<span id="notificationNoPropertyNameSpan" <%if(isCPXLicenesed  && (eventNotificationBoth.equals("") || eventNotificationBoth.equalsIgnoreCase("lifeCycleManager.both"))){%>style="display:; white-space:nowrap"<%}else{%>style="display:none; white-space:nowrap"<%}%>>
							 		<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.prior_to_event", currentLocale)) %> 
						 		</span>
						 		</td>
					 		<td>
					 			<span id="notificationPropertyNameSpan" <%if(!isCPXLicenesed || eventNotificationBoth.equalsIgnoreCase("lifeCycleManager.notification")){%>style="display:"<%}else{%>style="display:none"<%}%>>					 		
							 		<select class="requiredField" name="property_name" id="property_name">
						 				<option value="-1" selected="selected">--<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--</option>
						 				 <%try{
						 					 if(alertId != 0){
							 				      DSClass dsclass = dssession.getDSClass(searchObject);
										          DSPropDesc propdesc[] = dsclass.getPropDescs();
										          for(int i=0;i< propdesc.length;i++){
										            if(propdesc[i].getType() == DSPropTypes.DATE && propdesc[i].getName() != null){
										              String propLabel = null;
										              String propName = propdesc[i].getName();
										              try {
										                propLabel = propdesc[i].getPropLabel(Localized.getRequestLocale(request));
										              }
										              catch(Exception ex) {
										                propLabel =propName;
										              }
													//Added create_date for AR-39068
										              if(propName.equalsIgnoreCase("modified_date") || propName.equalsIgnoreCase("create_date")) {
										                continue;
										              }
										              else {%>
										                  <option value="<%=propName%>"  <%if(propName.equalsIgnoreCase(propertyNameToBelookedForInNotification)) {%>selected<%}%>><%=propLabel%></option>									                  
										                  <%
										                }
										              }
										             }
										           }
										       }catch(Exception ex){
											    	LifecycleManagerLogs.logger.error("Exception 2 in AddEditLifecycleManagerEvents.jsp while getting date properties of the object: ", ex);
											   }%>
						 			</select>
						 		</span>
						 	</td>
					 	</tr>
				    </table>
				</div>
				
				 <div id="pastDate" <%if(eventNotificationBoth.equalsIgnoreCase("lifeCycleManager.event") || notificationSearchCriteria.equalsIgnoreCase("future_date") || notificationSearchCriteria.equalsIgnoreCase("predefined_date")){%>style="display: none;"<%}%>>
					  <table width="100%" align="center" class="tableClass">
					 	<tr class="odd">
							<% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.event_aging_date" + "&amp;key=" + "lifeCycleManager.event_aging_date_help"; %>             			
					  	    <td width="30%" align="right"><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.event_aging_date", currentLocale)) %></a>:								
									<br/><small>(<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.required", currentLocale)) %>)</small>
								</td>
							<td width=20%><input class="requiredField" type="text" name="past_no_of_units"  id="past_no_of_units" style="width:60px" value="<%= notificationNoOfUnits %>"></input>
								<select class="requiredField" name="past_look_up_unit" id="past_look_up_unit" onchange="setNotifyAndEventUnit('past_look_up_unit')">
					 				<option value="days" <%if(notificationLookupUnit.equals("") || notificationLookupUnit.equalsIgnoreCase("days")){%>selected<%}%>>
					 							<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.days", currentLocale)) %></option>
		        					<option value="weeks" <%if(notificationLookupUnit.equalsIgnoreCase("weeks")){%>selected<%}%>>
		        								<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.weeks", currentLocale)) %></option>
		        					<option value="months" <%if(notificationLookupUnit.equalsIgnoreCase("months")){%>selected<%}%>>
		        								<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.months", currentLocale)) %></option>
					 			</select></td>
					 		<td width="10%" align="right">
					 			<span style="white-space:nowrap">
					 				<span id="notiificationAfterSpan" <%if(!isCPXLicenesed  || eventNotificationBoth.equalsIgnoreCase("lifeCycleManager.notification")){%>style="display:"<%}else{%>style="display:none"<%}%>>
					 				<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.after", currentLocale)) %> 
				 				</span>
						 			<span id="notificationNoPastPropertyNameSpan" <%if(isCPXLicenesed  && (eventNotificationBoth.equalsIgnoreCase("lifeCycleManager.both") || eventNotificationBoth.equals(""))){%>style="display:; white-space:nowrap"<%}else{%>style="display:none; white-space:nowrap"<%}%>>
								 		<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.after_event", currentLocale)) %>
							 		</span>
							 	</span></td> 
					 		<td>
					 			<span id="notificationPastPropertyNameSpan" <%if(!isCPXLicenesed || eventNotificationBoth.equalsIgnoreCase("lifeCycleManager.notification")){%>style="display:"<%}else{%>style="display:none"<%}%>>
					 		 		<select class="requiredField" name="past_property_name" id="past_property_name">
						 				<option value="-1" selected="selected">--<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.option_select",  currentLocale)) %>--</option>
						 				<% try{
						 					 if(alertId != 0){
							 				      DSClass dsclass = dssession.getDSClass(searchObject);
										          DSPropDesc propdesc[] = dsclass.getPropDescs();
										          for(int i=0;i< propdesc.length;i++){
										            if(propdesc[i].getType() == DSPropTypes.DATE && propdesc[i].getName() != null){
										              String propLabel = null;
										              String propName = propdesc[i].getName();
										              
										              try {
										                propLabel = propdesc[i].getPropLabel(Localized.getRequestLocale(request));
										              }
										              catch(Exception ex) {
										                propLabel =propName;
										              }%>
										                  <option value="<%=propName%>"  <%if(propName.equalsIgnoreCase(propertyNameToBelookedForInNotification)) {%>selected<%}%>><%=propLabel%></option>									                  
										               <%}
										             }
										       }
										    }catch(Exception ex){
											    LifecycleManagerLogs.logger.error("Exception in AddEditLifecycleManagerEvents.jsp while getting properties for past_property_name: ", ex);
											}%>
						 			</select>
						 		</span>
						 	</td>
					 		<td align="right"><span style="white-space:nowrap"><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.upto", currentLocale)) %></span></td>
					 		<td><span style="white-space:nowrap"><input type="text" name="past_max_days" style="width:60px" value="<%= maxDays %>"/>
										<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.small_days", currentLocale)) %></span></td>
					 	</tr>
				    </table>
				</div>
				
				<div id="predefinedDate" <%if(eventNotificationBoth.equals("lifeCycleManager.notification") && notificationSearchCriteria.equalsIgnoreCase("predefined_date")){%>style="display: ;"<%}else{%>style="display:none;"<%}%>>
					  <table width="100%" align="center" class="tableClass">
					    <tr class="even">
					        <% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.event_aging_date" + "&amp;key=" + "lifeCycleManager.event_aging_date_help"; %>             			
					  	    <td width="30%" align="right"><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.event_aging_date", currentLocale)) %></a>:
					      	</td>
					      <td width=28%>					       
					        <input type="text" name="predefined_trigger_date" id="predefined_trigger_date" size=10 value="<%= exactNotificationDate %>"/>
					        <b><small><%= DateUtils.getDateFormatFromLocaleForUI(currentLocale) %></small></b>
					      </td>
					      <td>
					      	<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.for", currentLocale)) %>
					      </td>
					      <td>
					      	<select class="requiredField" name="specific_property_name_notification" id="specific_property_name_notification">
				 				<option value="-1" selected="selected">--<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--</option>
				 				    <%try{
				 				    	if(alertId != 0){
					 				      DSClass dsclass = dssession.getDSClass(searchObject);
								          DSPropDesc propdesc[] = dsclass.getPropDescs();
								          for(int i=0;i< propdesc.length;i++){
								            if(propdesc[i].getType() == DSPropTypes.DATE && propdesc[i].getName() != null){
								              String propLabel = null;
								              String propName = propdesc[i].getName();
								              try {
								                propLabel = propdesc[i].getPropLabel(Localized.getRequestLocale(request));
								              }
								              catch(Exception ex) {
								                propLabel =propName;
								              }%>
								                  <option value="<%=propName%>"  <%if(propName.equalsIgnoreCase(propertyNameToBelookedForInNotification)) {%>selected<%}%>><%=propLabel%></option>									                  
								                  <%
								              }
								             }
								         }
								      }catch(Exception ex){
											LifecycleManagerLogs.logger.error("Exception 3 in AddEditLifecycleManagerEvents.jsp while getting specific properties of the object: ", ex);
									  }%>
						 	</select>
					      </td>
					    </tr>
					  </table>
				</div>
				
				<!--  AR 26505 -->
				<div id="includePastDueDiv" 
					<%if((eventNotificationBoth.equals("lifeCycleManager.notification") && notificationSearchCriteria.equalsIgnoreCase("future_date")) ||
							(eventNotificationBoth.equals("lifeCycleManager.event") && eventSearchCriteria.equalsIgnoreCase("future_event_date"))){out.println("111:"+eventNotificationBoth);%>style="display: ;"<%}else{%>style="display:none;"<%}%>>
					<table width="100%" align="center" class="tableClass">				 	
					 	<tr class="even">
							<% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.includePastDueItems" + "&amp;key=" + "lifeCycleManager.include_past_due_items_help"; %>             			
					  	    <td width="30%" align="right">
					  	    					<%if(eventNotificationBoth.equalsIgnoreCase("lifeCycleManager.event")){%>
					  	    							<a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.includePastDueItems", currentLocale)) %></a>:
					  	    					<%}else{%>
					  	    							<a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.includePastDueItems", currentLocale)) %></a>:
					  	    					<%}%>
					  	    				 </td>
							<td colspan=3><span style="white-space:nowrap"><input type="radio" name="include_expired" value="true" <%if(includeExpired.equalsIgnoreCase("true")){%>checked="checked"<%}%>/>
												<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.yes", currentLocale)) %>
									      </span>&nbsp;
									      <span style="white-space:nowrap"><input type="radio" name="include_expired" value="false" <%if(includeExpired.equals("") || includeExpired.equalsIgnoreCase("false")){%>checked<%}%>/>
									     		<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.no", currentLocale)) %></span>
						    </td>
					 	</tr>
					 </table>
				</div>
				 	
				<table class="tableClass" id="additionalCriteriaTable">
				
					 <tr class="odd">
						<% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.add_criteria" + "&amp;key=" + "lifeCycleManager.additional_criteria_help"; %>             			
					  	<td width="30%" align="right"><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.add_criteria", currentLocale)) %></a>: </td>
						<td width=20%>
							<select name="additional_criteria_prop0" id="additional_criteria_prop0">
				 				<option value="-1" selected="selected">--<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--</option>
				 				<%try{
				 					if(alertId != 0){
								          DSClass dsclass = dssession.getDSClass(searchObject);
								          DSPropDesc propdesc[] = dsclass.getPropDescs();
										   Vector resultVec = new Vector();
								          for(int i=0;i < propdesc.length;i++){//Edited for AR 26520
								            if(propdesc[i].getType() != DSPropTypes.DATE && propdesc[i].getType() != DSPropTypes.BOOLEAN && propdesc[i].isSearchable()) {
								              String propLabel = null;
								              String name = null;
								              try {
									                name = propdesc[i].getName();
								                	propLabel = propdesc[i].getPropLabel(Localized.getRequestLocale(request));
								              }
								              catch(Exception ex) {
								                propLabel = propdesc[i].getName();
								              }
											  LifecycleManagerLogs.logger.debug("Name :"+name+"  Label :"+propLabel);
											  resultVec.addElement(name+"::"+AmberUtility.escapeValue(propLabel));
											}
										  }
										   DSVectorComparator propertyComparator = new DSVectorComparator();
										   Collections.sort(resultVec, propertyComparator);
										   LifecycleManagerLogs.logger.debug("Ordered Collections(Customer): "+resultVec);
										   Object[] objArray = resultVec.toArray();
										   String[] names = Arrays.copyOf(objArray, objArray.length, String[].class); 
										   for(int i=0; i<names.length; i++){
											  String details = names[i];
											  int len = details.length();
											  int pos = details.indexOf("::",0);
											  String name = details.substring(0,pos);
											  String label = details.substring((pos+2),len);

								              if(name != null && !name.equalsIgnoreCase("copiedFrom") && !name.equalsIgnoreCase("max_versions") && !name.equalsIgnoreCase("locale")
								              && !name.equalsIgnoreCase("webdav_title") && !name.equalsIgnoreCase("cfSpecialWords") && !name.equalsIgnoreCase("cfCopyID")
								              && !name.equalsIgnoreCase("rm_instance_handle") && !name.equalsIgnoreCase("space") && !name.equalsIgnoreCase("abstract")
								              && !name.equalsIgnoreCase("routing_template_id") && !name.equalsIgnoreCase("highest_version_used") && !name.equalsIgnoreCase("content_type")
								              && !name.equalsIgnoreCase("client_data") && !name.equalsIgnoreCase("content_type") && !name.equalsIgnoreCase("logo")
								              && !name.equalsIgnoreCase("spamControl") && !name.equalsIgnoreCase("bg_image") && !name.equalsIgnoreCase("view_format") && !name.equalsIgnoreCase("sort_order"))
								              {%>
								                  <option value="<%=name%>" <%if(name.equalsIgnoreCase(additionalCriteriaProp0) && additionalCriteriaProp0.length() > 0) {%>selected<%}%>><%=label%></option>
								             <%}
								        
								            }
								        }
								     }catch(Exception ex){
										LifecycleManagerLogs.logger.error("Exception 4 in AddEditLifecycleManagerEvents.jsp while getting Additional criteria: ", ex);
									 }%>
				 			</select></td>
				 		<td width="10%" align="right"><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.contains", currentLocale)) %>: </td>
				 		<td width="20%"><input type="text" name="prop_value0"  id="prop_value0" size="20%" value="<%=(additionalCriteriaPropValue0!=null)?additionalCriteriaPropValue0:""%>"></input></td>
						<td width="10%" ><input type="button" name="addbtn0"  id="add_btn0" value="<%if(!("").equals(additionalCriteriaProp1) && additionalCriteriaPropValue1!=null  && !("").equals(additionalCriteriaPropValue1)){%>-<%} else { %>+<%}%>" onclick="processRows(this);" ></input></td>
				 		<td width="20%" >&nbsp;</td>							
				 	</tr>
				<%if(!("").equals(additionalCriteriaProp1) && additionalCriteriaPropValue1!=null && !("").equals(additionalCriteriaPropValue1)){%>
						<tr class="odd">
						            			
					  	<td width="30%" align="right"><font color='red'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.additional_criteria_text", currentLocale))%></font></td>
						<td width=20%>
							<select name="additional_criteria_prop1" id="additional_criteria_prop1">
				 				<option value="-1" selected="selected">--<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--</option>
				 				<%try{
				 					if(alertId != 0){
								          DSClass dsclass = dssession.getDSClass(searchObject);
								          DSPropDesc propdesc[] = dsclass.getPropDescs();
										   Vector resultVec = new Vector();
								          for(int i=0;i < propdesc.length;i++){//Edited for AR 26520
								            if(propdesc[i].getType() != DSPropTypes.DATE && propdesc[i].getType() != DSPropTypes.BOOLEAN && propdesc[i].isSearchable()) {
								              String propLabel = null;
								              String name = null;
								              try {
									                name = propdesc[i].getName();
								                	propLabel = propdesc[i].getPropLabel(Localized.getRequestLocale(request));
								              }
								              catch(Exception ex) {
								                propLabel = propdesc[i].getName();
								              }
											  LifecycleManagerLogs.logger.debug("Name :"+name+"  Label :"+propLabel);
											  resultVec.addElement(name+"::"+AmberUtility.escapeValue(propLabel));
											}
										  }
										   DSVectorComparator propertyComparator = new DSVectorComparator();
										   Collections.sort(resultVec, propertyComparator);
										   LifecycleManagerLogs.logger.debug("Ordered Collections(Customer): "+resultVec);
										   Object[] objArray = resultVec.toArray();
										   String[] names = Arrays.copyOf(objArray, objArray.length, String[].class); 
										   for(int i=0; i<names.length; i++){
											  String details = names[i];
											  int len = details.length();
											  int pos = details.indexOf("::",0);
											  String name = details.substring(0,pos);
											  String label = details.substring((pos+2),len);

								              if(name != null && !name.equalsIgnoreCase("copiedFrom") && !name.equalsIgnoreCase("max_versions") && !name.equalsIgnoreCase("locale")
								              && !name.equalsIgnoreCase("webdav_title") && !name.equalsIgnoreCase("cfSpecialWords") && !name.equalsIgnoreCase("cfCopyID")
								              && !name.equalsIgnoreCase("rm_instance_handle") && !name.equalsIgnoreCase("space") && !name.equalsIgnoreCase("abstract")
								              && !name.equalsIgnoreCase("routing_template_id") && !name.equalsIgnoreCase("highest_version_used") && !name.equalsIgnoreCase("content_type")
								              && !name.equalsIgnoreCase("client_data") && !name.equalsIgnoreCase("content_type") && !name.equalsIgnoreCase("logo")
								              && !name.equalsIgnoreCase("spamControl") && !name.equalsIgnoreCase("bg_image") && !name.equalsIgnoreCase("view_format") && !name.equalsIgnoreCase("sort_order"))
								              {%>
								                  <option value="<%=name%>" <%if(name.equalsIgnoreCase(additionalCriteriaProp1) && additionalCriteriaProp1.length() > 0) {%>selected<%}%>><%=label%></option>
								             <%}
								        
								            }
								        }
								     }catch(Exception ex){
										LifecycleManagerLogs.logger.error("Exception 4 in AddEditLifecycleManagerEvents.jsp while getting Additional criteria: ", ex);
									 }%>
				 			</select></td>
				 		<td width="10%" align="right"><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.contains", currentLocale)) %>: </td>
				 		<td width="20%"><input type="text" name="prop_value1"  id="prop_value1" size="20%" value="<%=additionalCriteriaPropValue1%>"></input></td>
						<td width="10%" ><input type="button" name="addbtn1"  id="add_btn1" value="<%if(!("").equals(additionalCriteriaProp2) && additionalCriteriaPropValue2!=null  && !("").equals(additionalCriteriaPropValue2)){%>-<%} else { %>+<%}%>" onclick="processRows(this);" ></input></td>
				 		<td width="20%" >&nbsp;</td>							
				 	</tr>
<%}%>
<%if(!("").equals(additionalCriteriaProp2) && additionalCriteriaPropValue2!=null  && !("").equals(additionalCriteriaPropValue2)){%>
						<tr class="odd">             			
					  	<td width="30%" align="right">&nbsp;</td>
						<td width=20%>
							<select name="additional_criteria_prop2" id="additional_criteria_prop2">
				 				<option value="-1" selected="selected">--<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--</option>
				 				<%try{
				 					if(alertId != 0){
								          DSClass dsclass = dssession.getDSClass(searchObject);
								          DSPropDesc propdesc[] = dsclass.getPropDescs();
										   Vector resultVec = new Vector();
								          for(int i=0;i < propdesc.length;i++){//Edited for AR 26520
								            if(propdesc[i].getType() != DSPropTypes.DATE && propdesc[i].getType() != DSPropTypes.BOOLEAN && propdesc[i].isSearchable()) {
								              String propLabel = null;
								              String name = null;
								              try {
									                name = propdesc[i].getName();
								                	propLabel = propdesc[i].getPropLabel(Localized.getRequestLocale(request));
								              }
								              catch(Exception ex) {
								                propLabel = propdesc[i].getName();
								              }
											  LifecycleManagerLogs.logger.debug("Name :"+name+"  Label :"+propLabel);
											  resultVec.addElement(name+"::"+AmberUtility.escapeValue(propLabel));
											}
										  }
										   DSVectorComparator propertyComparator = new DSVectorComparator();
										   Collections.sort(resultVec, propertyComparator);
										   LifecycleManagerLogs.logger.debug("Ordered Collections(Customer): "+resultVec);
										   Object[] objArray = resultVec.toArray();
										   String[] names = Arrays.copyOf(objArray, objArray.length, String[].class); 
										   for(int i=0; i<names.length; i++){
											  String details = names[i];
											  int len = details.length();
											  int pos = details.indexOf("::",0);
											  String name = details.substring(0,pos);
											  String label = details.substring((pos+2),len);

								              if(name != null && !name.equalsIgnoreCase("copiedFrom") && !name.equalsIgnoreCase("max_versions") && !name.equalsIgnoreCase("locale")
								              && !name.equalsIgnoreCase("webdav_title") && !name.equalsIgnoreCase("cfSpecialWords") && !name.equalsIgnoreCase("cfCopyID")
								              && !name.equalsIgnoreCase("rm_instance_handle") && !name.equalsIgnoreCase("space") && !name.equalsIgnoreCase("abstract")
								              && !name.equalsIgnoreCase("routing_template_id") && !name.equalsIgnoreCase("highest_version_used") && !name.equalsIgnoreCase("content_type")
								              && !name.equalsIgnoreCase("client_data") && !name.equalsIgnoreCase("content_type") && !name.equalsIgnoreCase("logo")
								              && !name.equalsIgnoreCase("spamControl") && !name.equalsIgnoreCase("bg_image") && !name.equalsIgnoreCase("view_format") && !name.equalsIgnoreCase("sort_order"))
								              {%>
								                  <option value="<%=name%>" <%if(name.equalsIgnoreCase(additionalCriteriaProp2) && additionalCriteriaProp2.length() > 0) {%>selected<%}%>><%=label%></option>
								             <%}
								        
								            }
								        }
								     }catch(Exception ex){
										LifecycleManagerLogs.logger.error("Exception 4 in AddEditLifecycleManagerEvents.jsp while getting Additional criteria: ", ex);
									 }%>
				 			</select></td>
				 		<td width="10%" align="right"><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.contains", currentLocale)) %>: </td>
				 		<td width="20%"><input type="text" name="prop_value2"  id="prop_value2" size="20%" value="<%=additionalCriteriaPropValue2%>"></input></td>
						<td width="10%" ><input type="button" name="addbtn"  id="add_btn" value="<%if(!("").equals(additionalCriteriaProp3) && additionalCriteriaPropValue3!=null  && !("").equals(additionalCriteriaPropValue3)){%>-<%} else { %>+<%}%>" onclick="processRows(this);" ></input></td>
				 		<td width="20%" >&nbsp;</td>							
				 	</tr>
<%}%>
<%if(!("").equals(additionalCriteriaProp3) && additionalCriteriaPropValue3!=null  && !("").equals(additionalCriteriaPropValue3)){%>
						<tr class="odd">						             			
					  	<td width="30%" align="right">&nbsp;</td>
						<td width=20%>
							<select name="additional_criteria_prop3" id="additional_criteria_prop3">
				 				<option value="-1" selected="selected">--<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--</option>
				 				<%try{
				 					if(alertId != 0){
								          DSClass dsclass = dssession.getDSClass(searchObject);
								          DSPropDesc propdesc[] = dsclass.getPropDescs();
										   Vector resultVec = new Vector();
								          for(int i=0;i < propdesc.length;i++){//Edited for AR 26520
								            if(propdesc[i].getType() != DSPropTypes.DATE && propdesc[i].getType() != DSPropTypes.BOOLEAN && propdesc[i].isSearchable()) {
								              String propLabel = null;
								              String name = null;
								              try {
									                name = propdesc[i].getName();
								                	propLabel = propdesc[i].getPropLabel(Localized.getRequestLocale(request));
								              }
								              catch(Exception ex) {
								                propLabel = propdesc[i].getName();
								              }
											  LifecycleManagerLogs.logger.debug("Name :"+name+"  Label :"+propLabel);
											  resultVec.addElement(name+"::"+AmberUtility.escapeValue(propLabel));
											}
										  }
										   DSVectorComparator propertyComparator = new DSVectorComparator();
										   Collections.sort(resultVec, propertyComparator);
										   LifecycleManagerLogs.logger.debug("Ordered Collections(Customer): "+resultVec);
										   Object[] objArray = resultVec.toArray();
										   String[] names = Arrays.copyOf(objArray, objArray.length, String[].class); 
										   for(int i=0; i<names.length; i++){
											  String details = names[i];
											  int len = details.length();
											  int pos = details.indexOf("::",0);
											  String name = details.substring(0,pos);
											  String label = details.substring((pos+2),len);

								              if(name != null && !name.equalsIgnoreCase("copiedFrom") && !name.equalsIgnoreCase("max_versions") && !name.equalsIgnoreCase("locale")
								              && !name.equalsIgnoreCase("webdav_title") && !name.equalsIgnoreCase("cfSpecialWords") && !name.equalsIgnoreCase("cfCopyID")
								              && !name.equalsIgnoreCase("rm_instance_handle") && !name.equalsIgnoreCase("space") && !name.equalsIgnoreCase("abstract")
								              && !name.equalsIgnoreCase("routing_template_id") && !name.equalsIgnoreCase("highest_version_used") && !name.equalsIgnoreCase("content_type")
								              && !name.equalsIgnoreCase("client_data") && !name.equalsIgnoreCase("content_type") && !name.equalsIgnoreCase("logo")
								              && !name.equalsIgnoreCase("spamControl") && !name.equalsIgnoreCase("bg_image") && !name.equalsIgnoreCase("view_format") && !name.equalsIgnoreCase("sort_order"))
								              {%>
								                  <option value="<%=name%>" <%if(name.equalsIgnoreCase(additionalCriteriaProp3) && additionalCriteriaProp3.length() > 0) {%>selected<%}%>><%=label%></option>
								             <%}
								        
								            }
								        }
								     }catch(Exception ex){
										LifecycleManagerLogs.logger.error("Exception 4 in AddEditLifecycleManagerEvents.jsp while getting Additional criteria: ", ex);
									 }%>
				 			</select></td>
				 		<td width="10%" align="right"><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.contains", currentLocale)) %>: </td>
				 		<td width="20%"><input type="text" name="prop_value3"  id="prop_value3" size="20%" value="<%=additionalCriteriaPropValue3%>"></input></td>
						<td width="10%" ><input type="button" name="addbtn"  id="add_btn" value="<%if(!("").equals(additionalCriteriaProp4) && additionalCriteriaPropValue4!=null  && !("").equals(additionalCriteriaPropValue4)){%>-<%} else { %>+<%}%>" onclick="processRows(this);" ></input></td>
				 		<td width="20%" >&nbsp;</td>							
				 	</tr>
<%}%>
<%if(!("").equals(additionalCriteriaProp4) && additionalCriteriaPropValue4!=null  && !("").equals(additionalCriteriaPropValue4)){%>
						<tr class="odd">						             			
					  	<td width="30%" align="right">&nbsp;</td>
						<td width=20%>
							<select name="additional_criteria_prop4" id="additional_criteria_prop4">
				 				<option value="-1" selected="selected">--<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--</option>
				 				<%try{
				 					if(alertId != 0){
								          DSClass dsclass = dssession.getDSClass(searchObject);
								          DSPropDesc propdesc[] = dsclass.getPropDescs();
										   Vector resultVec = new Vector();
								          for(int i=0;i < propdesc.length;i++){//Edited for AR 26520
								            if(propdesc[i].getType() != DSPropTypes.DATE && propdesc[i].getType() != DSPropTypes.BOOLEAN && propdesc[i].isSearchable()) {
								              String propLabel = null;
								              String name = null;
								              try {
									                name = propdesc[i].getName();
								                	propLabel = propdesc[i].getPropLabel(Localized.getRequestLocale(request));
								              }
								              catch(Exception ex) {
								                propLabel = propdesc[i].getName();
								              }
											  LifecycleManagerLogs.logger.debug("Name :"+name+"  Label :"+propLabel);
											  resultVec.addElement(name+"::"+AmberUtility.escapeValue(propLabel));
											}
										  }
										   DSVectorComparator propertyComparator = new DSVectorComparator();
										   Collections.sort(resultVec, propertyComparator);
										   LifecycleManagerLogs.logger.debug("Ordered Collections(Customer): "+resultVec);
										   Object[] objArray = resultVec.toArray();
										   String[] names = Arrays.copyOf(objArray, objArray.length, String[].class); 
										   for(int i=0; i<names.length; i++){
											  String details = names[i];
											  int len = details.length();
											  int pos = details.indexOf("::",0);
											  String name = details.substring(0,pos);
											  String label = details.substring((pos+2),len);

								              if(name != null && !name.equalsIgnoreCase("copiedFrom") && !name.equalsIgnoreCase("max_versions") && !name.equalsIgnoreCase("locale")
								              && !name.equalsIgnoreCase("webdav_title") && !name.equalsIgnoreCase("cfSpecialWords") && !name.equalsIgnoreCase("cfCopyID")
								              && !name.equalsIgnoreCase("rm_instance_handle") && !name.equalsIgnoreCase("space") && !name.equalsIgnoreCase("abstract")
								              && !name.equalsIgnoreCase("routing_template_id") && !name.equalsIgnoreCase("highest_version_used") && !name.equalsIgnoreCase("content_type")
								              && !name.equalsIgnoreCase("client_data") && !name.equalsIgnoreCase("content_type") && !name.equalsIgnoreCase("logo")
								              && !name.equalsIgnoreCase("spamControl") && !name.equalsIgnoreCase("bg_image") && !name.equalsIgnoreCase("view_format") && !name.equalsIgnoreCase("sort_order"))
								              {%>
								                  <option value="<%=name%>" <%if(name.equalsIgnoreCase(additionalCriteriaProp4) && additionalCriteriaProp4.length() > 0) {%>selected<%}%>><%=label%></option>
								             <%}
								        
								            }
								        }
								     }catch(Exception ex){
										LifecycleManagerLogs.logger.error("Exception 4 in AddEditLifecycleManagerEvents.jsp while getting Additional criteria: ", ex);
									 }%>
				 			</select></td>
				 		<td width="10%" align="right"><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.contains", currentLocale)) %>: </td>
				 		<td width="20%"><input type="text" name="prop_value4"  id="prop_value4" size="20%" value="<%=additionalCriteriaPropValue4%>"></input></td>
						<td width="10%" ><input type="button" name="addbtn"  id="add_btn" value="<%if(!("").equals(additionalCriteriaProp5) && additionalCriteriaPropValue5!=null  && !("").equals(additionalCriteriaPropValue5)){%>-<%} else { %>+<%}%>" onclick="processRows(this);" ></input></td>
				 		<td width="20%" >&nbsp;</td>							
				 	</tr>
<%}%>
<%if(!("").equals(additionalCriteriaProp5) && additionalCriteriaPropValue5!=null && !("").equals(additionalCriteriaPropValue5)){%>
						<tr class="odd">             			
					  	<td width="30%" align="right">&nbsp;</td>
						<td width=20%>
							<select name="additional_criteria_prop5" id="additional_criteria_prop5">
				 				<option value="-1" selected="selected">--<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.option_select", currentLocale)) %>--</option>
				 				<%try{
				 					if(alertId != 0){
								          DSClass dsclass = dssession.getDSClass(searchObject);
								          DSPropDesc propdesc[] = dsclass.getPropDescs();
										   Vector resultVec = new Vector();
								          for(int i=0;i < propdesc.length;i++){//Edited for AR 26520
								            if(propdesc[i].getType() != DSPropTypes.DATE && propdesc[i].getType() != DSPropTypes.BOOLEAN && propdesc[i].isSearchable()) {
								              String propLabel = null;
								              String name = null;
								              try {
									                name = propdesc[i].getName();
								                	propLabel = propdesc[i].getPropLabel(Localized.getRequestLocale(request));
								              }
								              catch(Exception ex) {
								                propLabel = propdesc[i].getName();
								              }
											  LifecycleManagerLogs.logger.debug("Name :"+name+"  Label :"+propLabel);
											  resultVec.addElement(name+"::"+AmberUtility.escapeValue(propLabel));
											}
										  }
										   DSVectorComparator propertyComparator = new DSVectorComparator();
										   Collections.sort(resultVec, propertyComparator);
										   LifecycleManagerLogs.logger.debug("Ordered Collections(Customer): "+resultVec);
										   Object[] objArray = resultVec.toArray();
										   String[] names = Arrays.copyOf(objArray, objArray.length, String[].class); 
										   for(int i=0; i<names.length; i++){
											  String details = names[i];
											  int len = details.length();
											  int pos = details.indexOf("::",0);
											  String name = details.substring(0,pos);
											  String label = details.substring((pos+2),len);

								              if(name != null && !name.equalsIgnoreCase("copiedFrom") && !name.equalsIgnoreCase("max_versions") && !name.equalsIgnoreCase("locale")
								              && !name.equalsIgnoreCase("webdav_title") && !name.equalsIgnoreCase("cfSpecialWords") && !name.equalsIgnoreCase("cfCopyID")
								              && !name.equalsIgnoreCase("rm_instance_handle") && !name.equalsIgnoreCase("space") && !name.equalsIgnoreCase("abstract")
								              && !name.equalsIgnoreCase("routing_template_id") && !name.equalsIgnoreCase("highest_version_used") && !name.equalsIgnoreCase("content_type")
								              && !name.equalsIgnoreCase("client_data") && !name.equalsIgnoreCase("content_type") && !name.equalsIgnoreCase("logo")
								              && !name.equalsIgnoreCase("spamControl") && !name.equalsIgnoreCase("bg_image") && !name.equalsIgnoreCase("view_format") && !name.equalsIgnoreCase("sort_order"))
								              {%>
								                  <option value="<%=name%>" <%if(name.equalsIgnoreCase(additionalCriteriaProp5) && additionalCriteriaProp5.length() > 0) {%>selected<%}%>><%=label%></option>
								             <%}
								        
								            }
								        }
								     }catch(Exception ex){
										LifecycleManagerLogs.logger.error("Exception 4 in AddEditLifecycleManagerEvents.jsp while getting Additional criteria: ", ex);
									 }%>
				 			</select></td>
				 		<td width="10%" align="right"><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.contains", currentLocale)) %>: </td>
				 		<td width="20%"><input type="text" name="prop_value5"  id="prop_value5" size="20%" value="<%=additionalCriteriaPropValue5%>"></input></td>
						<td width="10%" ><!--<input type="button" name="addbtn"  id="add_btn" value="+" onclick="processRows(this);" ></input>--></td>
				 		<td width="20%" >&nbsp;</td>							
				 	</tr>
<%}%>
				</table>
				<table class="tableClass">
					<%-- Start : DS7 AR26843 --%>
					<tr class="odd">
					    <% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.next_run_date" + "&amp;key=" + "lifeCycleManager.next_run_date_help"; %>             			
					  	<td width="30%" align="right"><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.next_run_date", currentLocale)) %></a>:
					  	</td>
					    <td width="20%">					       
					      <input type="text" name="next_run_date" id="next_run_date" size=10 value="<%=nextRunDate%>"/>
					      <b><small><%= DateUtils.getDateFormatFromLocaleForUI(currentLocale) %></small></b>
					    </td>
					    <% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.next_run_time" + "&amp;key=" + "lifeCycleManager.next_run_time_help"; %>   
						<td width="10%" align="right"><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.next_run_time", currentLocale)) %></a>:
					    </td>
                        <td width="40%">
                              <input type="text" name="next_run_time" id="next_run_time" size=11 onkeydown="return false;" value="<%=nextRunTime%>"/>  
                        </td>
					</tr>
					<%-- End : DS7 AR26843 --%>
				 </table>
						 
				 <div id="divForNotification" <%if(eventNotificationBoth.equalsIgnoreCase("lifeCycleManager.event")){%>style="display:none"<%}%>>					  
					<table width="100%" align="center" class="tableClass">
					 	<tr class="even">
							<% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.period" + "&amp;key=" + "lifeCycleManager.period_help"; %>             			
					  	    <td align="right"><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.period", currentLocale)) %></a>: </td>
							<td colspan=3><select name="periodicity" id="periodicity">
					 				<option value="daily" <%if(periodicity.equals("") || periodicity.equalsIgnoreCase("daily")){ %>selected<%}%>><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.daily", currentLocale)) %></option>  <%-- DS7 AR32201 --%>
		        					<option value="weekly" <%if(periodicity.equalsIgnoreCase("weekly")){ %>selected<%}%>><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.weekly", currentLocale)) %></option>  <%-- DS7 AR32201 --%>
		        					<option value="monthly" <%if(periodicity.equalsIgnoreCase("monthly")){ %>selected<%}%>><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.monthly", currentLocale)) %></option>
					 			</select></td>
					 	</tr>
						<!-- Start : DS7 AR27924 -->
						<tr class="even">
						    <% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.send_emails_to" + "&amp;key=" + "lifeCycleManager.send_email_to_help"; %>             			
					  	    <td rowspan="3" align="right"><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.send_emails_to", currentLocale)) %></a>:<br/>
					  	    	<small>(<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.send_email_screen_help", currentLocale)) %>)</small>
					  	    </td>
						<tr class="even">
						    <td width="2%" align="left"><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.user", currentLocale)) %></td>
						    <td colspan=3>
						       <div style="display:''" id="user_div">
						        	<textarea cols="60" rows="4" id="user_name" name="user_name" onclick="highlightText('user');" onkeyup="runOnKeyUp('user');" onKeyDown="onKeyDown(event,'user');"><%if(userHandle.startsWith("User")){%><%=AmberUtility.escapeValue(DSUtils.getUserTitle(dssession, userHandle))%><%}%></textarea>
						        	<div id='please_wait_user_div' style="display:none">
						        		<img src="JQuery/loading.gif" /> 
						        		<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.please_wait", currentLocale)) %>....
						        	</div>
						        	<br/>
									<div id="userListDiv" style="position:absolute" ></div>
						        </div>						        						      
						    </td>
						</tr>
						
						<tr class="even">
                            <td align="left" width="2%"><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.group", currentLocale)) %></td>
						    <td colspan=3>
						        <div style="display:''" id="user_group_div">
						        	<textarea cols="60" rows="4" id="group_name" name="group_name" onclick="highlightText('group');" onkeyup="runOnKeyUp('group');" onKeyDown="onKeyDown(event,'group');"><%if(groupHandle.startsWith("Group")){%><%=AmberUtility.escapeValue(DSUtils.getUserTitle(dssession, groupHandle))%><%}%></textarea>
						        	<div id='please_wait_group_div' style="display:none">
						        		<img src="JQuery/loading.gif" /> 
						        		<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.please_wait", currentLocale)) %>....
						        	</div><br/>
									<div id="groupListDiv" style="position:absolute" ></div>
						        </div>						        
						    </td>
						</tr>
						</tr>
						<!-- End : DS7 AR27924 -->
						
					    <tr class="odd">
						    <% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.include_owner" + "&amp;key=" + "lifeCycleManager.include_owner_help"; %>             			
					  	    <td align="right"><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.include_owner", currentLocale)) %></a>:</td>
						    <td colspan=3>
						      <span style="white-space:nowrap"><input type="radio" name="owner" <%=includeOwner.equals("") || includeOwner.equalsIgnoreCase("Yes") ? "checked" : ""%> value="yes"/><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.yes", currentLocale)) %></span>
						      <span style="white-space:nowrap"><input type="radio" name="owner" <%=includeOwner.equalsIgnoreCase("No") ? "checked" : ""%> value="no"/><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.no", currentLocale)) %></span>
						    </td>
						</tr>
						
						<tr class="even">
						    <% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.external_recipient" + "&amp;key=" + "lifeCycleManager.external_recipients_help"; %>             			
					  	    <td align="right" valign="middle"><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.external_recipient", currentLocale)) %></a>:<br/>
						    	<small>(<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.comma_separated_list_email_addresses", currentLocale)) %>)</small></td>
						    <td colspan=3><textarea cols="40" rows="3" name="external_recipient" id="external_recipient"><%=externalRecipient%></textarea></td>
						</tr>
		  				<tr class="odd">
							<% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.instructions" + "&amp;key=" + "lifeCycleManager.comments_help"; %>             			
					  	    <td width="30%" align="right" ><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.instructions", currentLocale)) %></a>:</td>
							<td colspan=3><textarea cols="40" rows="5" name="description"><%=description%></textarea></td>
						</tr>
						 <tr class="even">
						    <% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.email_option" + "&amp;key=" + "lifeCycleManager.email_option_help"; %>             			
					  	    <td align="right"><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.email_option", currentLocale)) %></a>:</td>
						    <td colspan=3>
						      <span style="white-space:nowrap"><input type="radio" name="emailOption" <%=emailOption.equalsIgnoreCase("csv") ? "checked" : ""%> value="csv"/><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.email_csv", currentLocale)) %></span>
						      <span style="white-space:nowrap"><input type="radio" name="emailOption" <%=emailOption.equals("") || emailOption.equalsIgnoreCase("html") ? "checked" : ""%> value="html"/><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.email_html", currentLocale)) %></span>
						    </td>
						</tr>
					 </table>				  
				</div>
				
				<div id="statusDiv">
					  <table width="100%" align="center" class="tableClass">
						<tr class="even">
							<% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.status" + "&amp;key=" + "lifeCycleManager.policy_status_help"; %>             			
					  	    <td width="30%" align="right"><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.status", currentLocale)) %></a>: </td>
							<td colspan=3> <span style="white-space:nowrap"><input type="radio" name="status" id="status" value="lifeCycleManager.enabled" <%if(status.equals("") || status.equalsIgnoreCase("lifeCycleManager.enabled")){%>checked<%}%>
											 	onclick="showDivSpan('dateRange',1);"/><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.enabled", currentLocale)) %>&nbsp;
									      </span>
									      <span style="white-space:nowrap"><input type="radio" name="status" id="status" value="predefined" <%if(status.equalsIgnoreCase("predefined")){%>checked<%}%>
									      		onclick="showDivSpan('dateRange',0);"/><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.predefined_period", currentLocale)) %>&nbsp;
									      </span>
									      <span style="white-space:nowrap"><input type="radio" name="status" id="status" value="lifeCycleManager.disabled" <%if(status.equalsIgnoreCase("lifeCycleManager.disabled")){%>checked<%}%>
									      		onclick="showDivSpan('dateRange',1);"/><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.disabled", currentLocale)) %>
									      </span></td>
					 	</tr>
					 </table>					
					 	<%
		    				String todaysDate = DateUtils.getTodaysDateInString(DateUtils.getDateFormatFromLocaleForJava(currentLocale));
					 		LifecycleManagerLogs.logger.debug("todaysDate : " + todaysDate);
		  				%>
		  				
					 <div id="dateRange" <%if(!status.equalsIgnoreCase("predefined")){%>style="display: none;"<%}%>>
					  <table width="100%" align="center" class="tableClass">
					    <tr class="odd">
					      <% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.date_range" + "&amp;key=" + "lifeCycleManager.date_range_help"; %>             			
					  	  <td width="30%" align="right"><a href='javascript:openHelpTextWindow("<%= url %>");'><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.date_range", currentLocale)) %></a>:</td>
					      <td>
					        <%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.from", currentLocale)) %>:
					        <input type="text" name="start_date" id="start_date" size=10 value="<%=sDate != null ? sDate : todaysDate%>"/>
					        <b><small><%= DateUtils.getDateFormatFromLocaleForUI(currentLocale) %></small></b>
					      </td>
					      <td><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.to", currentLocale)) %>:
					        <input type="text" name="end_date" id="end_date" size=10 value="<%= eDate %>"/>
					        <b><small><%= DateUtils.getDateFormatFromLocaleForUI(currentLocale) %></small></b>
					      </td>
					    </tr>
					  </table>
					</div>
				</div>
				
			</fieldset>
		
		<br/>
		<table align="center" width="100%" class="form">
		  <tr>
		    <td colspan= "3" align="center">
		      <input type="button" name="submit1" id="submit1" class="bs submit" onclick="validateFields(this.form);"
		      		<%if(alertId != 0){%>
		      				value="<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.edit_policy_button", currentLocale)) %>" 
		      			<%}else{%>
		      				value="<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.create_new_policy_button", currentLocale)) %>"
		      			<%}%>/>&nbsp;&nbsp;
		      <input type="submit" name="cancel" class="bs submit" value="<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.cancel", currentLocale)) %>"/>
		      <%if(alertId != 0){%>
		      	<input type="submit" class="bs submit" name="delete" value="<%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.delete_policy_button", currentLocale)) %>" onclick="return deleteConfirmation();"/>
		      <%}%>
		    </td>
		  </tr>
		</table>
	</form>
	</div>
<script language="JavaScript" type="">
	if(document.getElementById('alertId').value == '0') resetSpan('futureDate');
</script>

<%@ include file="Footer.jsp" %>

