<%
/**
 * thirdPartyHelpTextPage.jsp
 */
%>

<%@ page import="java.util.Locale"%>
<%@ page import="com.xerox.docushare.lifecyclemanager.util.Localized"%>
<%@ page import="com.xerox.docushare.lifecyclemanager.util.ProjectUtils"%>
<%@ page import="com.xerox.docushare.amber.util.ThirdPartyMessageDB"%>
<%@ page import="com.xerox.docushare.amber.util.XSLTMessage"%>
<%@ page import="com.xerox.docushare.object.DSUser" %>
<%@ page import="jp.co.fujixerox.docushare.amber.ConfigManager" %>
<%@ page import="jp.co.fujixerox.docushare.amber.ThemeFactory" %>
<%@ page import="jp.co.fujixerox.docushare.amber.WebRequest" %>
<%@ page import="jp.co.fujixerox.docushare.amber.config.DSConfig" %>
<%@ page import="jp.co.fujixerox.docushare.amber.object.PreferencesImpl" %>
<%@ include file="../includes/sessionPageMethods.jsp" %>
<%@ include file="../../jsp/common/start.jsp" %>

<%
    String theme_name = null;
    try {
        String layoutDefaults = ((DSUser)mDSSession.getLoginPrincipal()).getLayoutDefaults();
        if (layoutDefaults!=null && layoutDefaults.length()>0) {
            PreferencesImpl preferences = new PreferencesImpl("com.xerox.docushare.theme", layoutDefaults);
            theme_name = (preferences.getPref("themeName"));
        }

        if( theme_name==null || theme_name.trim().length()==0 ) {
            WebRequest w = (WebRequest)request.getAttribute("WebSession");
            if (w!=null)
            theme_name = ThemeFactory.getInstance().getSpaceTheme(w.getVDFSession());
        }
        if(theme_name==null || theme_name.trim().length()==0) {
            DSConfig myconfig = ConfigManager.getInstance().getDSConfig();      
            if (myconfig!=null)
            theme_name = (String) (myconfig.get(DSConfig.default_theme_name, mDSSession));
        }
        if(theme_name==null || theme_name.trim().length()==0) 
            theme_name = "blue"; //use default
    } catch(Exception e) {
        System.out.println("thirdPartyHelpTextPage.jsp check theme_name: " + e);
        theme_name = "blue"; //use default
    }

    Locale locale = Localized.getRequestLocale(request);
    ThirdPartyMessageDB messageDb = ProjectUtils.getLCMMessagesObjectFromRequest(request);
    
    String name = request.getParameter("name");
    String help = request.getParameter("key");
    String theme_url = request.getContextPath() + "/themes/" + theme_name;
	if (help.contains("/")){
		int keyIndex = help.indexOf("/");
		if (keyIndex > -1) {
        help = help.substring(0, keyIndex);
    }
	}
	else{
		int keyIndex = help.indexOf("\"");
		if (keyIndex > -1) {
        help = help.substring(0, keyIndex);
    }
	}
	
%>

<html>
  <head>
    <title><%= messageDb.get("DocuShareHelpTitle", locale) %></title>

    <!-- DocuShare Base CSS -->
    <link rel="stylesheet" type="text/css" href="<%= theme_url %>/docushare.css"/>
    <link rel="stylesheet" type="text/css" href="<%= theme_url %>/docushare_quicksearch.css"/>

  </head>

  <body id="helpwindow" class="helpwindow">
    <h1 class="helpwindow__title"><i class="icon-help">&nbsp;</i><%= messageDb.get("DocuShareHelpTitle", locale) %></h1>
      <div class="helpwindow__content">
        <h2><%= messageDb.get(name, locale) %></h2>
        <p><%= messageDb.get(help, locale) %></p>
      </div>
  </body>

<%@ include file="../../jsp/common/end.jsp" %>

</html>



