<%/**
 * Copyright: Copyright (c) 2010
 * Company: Xerox Docushare Professional Services
 * @author Anubha Khurana
 * @version 1.0
 */%>

<%@page import="com.xerox.docushare.lifecyclemanager.util.DSUtils"%>

<%String pageTitle = "Remove the LCM URL";%>
<%@ include file="Header.jsp" %>

<html>
	<head>		
		<%@ include file="cssInclude.jsp" %>				
	</head>
	<body>
		<%@ include file="logoHeading.jsp" %>
		<div id="content"> 
			<%
			if(!mDSSession.isAdmin(DSLoginPrincipal.ANY_ADMIN)){
				out.println(lifeCycleMessageObj.get("lifecycleManager.only_admin_allowed_to_remove_url", currentLocale));
				return;
			}
		
			if(request.getParameter("Submit") != null){
				boolean success = DSUtils.removeLCMRootURL(mDSSession.getAdminSession());
				if(success == false)
					out.println(lifeCycleMessageObj.get("lifecycleManager.url_string_removed_un_successfully", currentLocale));
				else
					out.println(lifeCycleMessageObj.get("lifecycleManager.url_string_removed_successfully", currentLocale));
			}else{%>		
					<form>
						<br/>
						<%= lifeCycleMessageObj.get("lifecycleManager.remove_url_submit", currentLocale) %>:
						<span style="display: ;" id="applyButton">
						    <input type=submit name=Submit value="Submit">
						 </span>
						 <span style="display: none;" id="applyButton">
						    <font class="VariableWidth9"><i><%= lifeCycleMessageObj.get("lifecycleManager.please_wait", currentLocale) %></i></font>
						 </span>
					</form>
			<%}%>
	
<%@ include file="Footer.jsp" %>