
<%@page import="com.xerox.docushare.lifecyclemanager.logs.LifecycleManagerLogs"%>
<%/**
   * Copyright: Copyright (c) 2009
   * Company:  Xerox Docushare Professional Services
   * @author Anubha Khurana
   * @version 1.0
**/ %>
<%@page import="jp.co.fujixerox.docushare.amber.object.VDFArrayList"%>
<%@page import="com.xerox.docushare.property.DSLinkDesc"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.DocumentManager"%>
<%@page import="com.xerox.docushare.object.DSDocument"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.Localized"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.DSUtils"%>
<%@page import="com.xerox.docushare.lifecyclemanager.constants.LifecycleManagerConstants"%>
<%@page import="com.xerox.docushare.license.DSLicense"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.PropertyManager"%>
<%@ page import="com.xerox.docushare.*" %>
<%@ page import="jp.co.fujixerox.docushare.amber.*" %>
<%@ page import="jp.co.fujixerox.docushare.amber.vdf.*" %>
<%@ page import="jp.co.fujixerox.docushare.amber.config.DSConfig" %>
<%@ page import="java.util.*" %>
<%@ page import="com.xerox.docushare.lifecyclemanager.*"%>
<%@ page import="com.xerox.docushare.lifecyclemanager.csvreporting.*"%>
<%@page import="java.io.File"%>
<%@page import="com.xerox.docushare.amber.util.AmberUtility"%>

<%@ include file="../includes/sessionPageMethods.jsp" %>
<%@ include file="../../jsp/common/start.jsp" %>
<%@ include file="includeL10N.jsp" %>

<%
  if (mDSSession == null) {
    out.println(AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.dssession_null", currentLocale)));
    return;
  }

	boolean isLMLicensed = mDSSession.isEnabled(LifecycleManagerConstants.LCM_LICENCE);  // DS7 AR31700
	if(!isLMLicensed) return;

  String[] args = new String[] {"handle"};
  // call to updateMapsAndCookie changed in 4.0.1
  String newId = DSSessionManager.getInstance().updateMapsAndCookie(request, response, mDSSession, mDSSession.getCredential(), true);  
  
  DSConfig dsconfig = ConfigManager.getInstance().getDSConfig();
  String templatesPath = dsconfig.getTemplatesPath();
  VDFManager vdfManager = new VDFManager(new File(templatesPath), new String[] {"local", "system", "error"} );
  WebRequest wsession = MyWebRequest.createWebRequest(getServletConfig().getServletContext(),
  request.getContentType(), newId, mDSSession, request, response,"CSVReportGenerator", args, request.getQueryString(), vdfManager, currentLocale);
  
  VDFSession vdfSessionObj = wsession.getVDFSession();
  
  List<DSHandle> childrenList = new ArrayList<DSHandle>();	
  //List list = new VDFArrayList();
  
  LifecycleManagerLogs.logger.debug("Value of getAllChildren in CSVReportGenerator.jsp: " + request.getParameter("getAllchildren"));
  
  if(request.getParameter("getAllchildren") == null){ //That means it's NOT coming from redirectView.jsp i.e it's not from IE browser
	  String containerHandle = request.getParameter( "container" );
	  String application1 = request.getParameter("application");
	  String caller = request.getParameter( "page" );
	  
	  LifecycleManagerLogs.logger.debug("containerHandle in CSVReportGenerator.jsp: " + containerHandle);
	  LifecycleManagerLogs.logger.debug("application in CSVReportGenerator.jsp: " + application1);
	  LifecycleManagerLogs.logger.debug("caller in CSVReportGenerator.jsp: " + caller);
	  
	  String total_cbx = request.getParameter("total_cbx");
		int maxCheckboxes = 0;
		if (total_cbx != null)
			maxCheckboxes = Integer.parseInt(total_cbx) + 1;  // the total number of checkboxes on the screen, not the number checked.
		
		LifecycleManagerLogs.logger.debug("maxCheckBoxes in CSVReportGenerator.jsp: " + maxCheckboxes);
			
		ArrayList<DSHandle> boxList = (ArrayList<DSHandle>)vdfSessionObj.getPagingValue(containerHandle, application1, VDFSession.CHECK_BOXES, null);
		if (boxList == null) {
			boxList = new ArrayList<DSHandle>(); // List of DSHandles
			vdfSessionObj.setPagingValue(containerHandle, application1, VDFSession.CHECK_BOXES, boxList);
		}
		for (int i = 0; i < maxCheckboxes; i++) {
			// The handle for each line item is stored in a hidden parameter named cbxn_obj
			// where n = the line number on the page.
			String handleString = request.getParameter("cbx" + Integer.toString(i) + "_obj");
			if (handleString == null) break; // we hit this when the pageSize < total
			DSHandle dshandle = new DSHandle(handleString);
			if (request.getParameter("cbx" + Integer.toString(i)) != null) {
				// Check for newly selected checkboxes
				if (!boxList.contains(dshandle))
					boxList.add(dshandle);
				//System.out.println("++Added handle to checkbox list = "+handleString);
			}
			else {
				if (caller != null && !caller.equals("Index")) {
				  // Check that the handle hasn't been deselected.  We can't do this for the Index
				  // page because the same object may appear in multiple locations; if the user
				  // selects the object in one place but not another, the remove algorithm below
				  // may remove the object previously added to the list.
				  try {
					boolean removed = false;
					if (boxList.contains(dshandle))
						removed = boxList.remove(dshandle);
					//if (removed) System.out.println("++Removed handle from checkbox list = "+handleString);
				  } catch (Exception e) {}
				}
			}
		}
		
		for(int k=0; k<boxList.size(); k++){
			  LifecycleManagerLogs.logger.debug("Box list: " + boxList.get(k));
			  DSHandle handleString = (DSHandle)boxList.get(k);
			  //list.add(handleString); 
			  childrenList.add(handleString);
		  }
   } 
  
  String parentHandle = wsession.getParameter("handle");  
   
  List<String> propNameList = new ArrayList<String>();
  List<String> propLabelList = new ArrayList<String>();
  
  String propertiesToAdd = PropertyManager.getParameter("propertiesToAdd");  
  String includeObjectName = PropertyManager.getParameter("includeObjectName");
  LifecycleManagerLogs.logger.debug("propertiesToAdd : " + propertiesToAdd);
  try{
    StringTokenizer st = new StringTokenizer(propertiesToAdd, "::");
    while(st.hasMoreTokens()) {
      String token = st.nextToken();
      propNameList.add(token);
      if(token != null && token.equalsIgnoreCase("latestVersionDate")) {
        propLabelList.add(AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.create_date_latest_version", currentLocale)));
      }else if(token != null && token.equalsIgnoreCase("Owner")) {
        propLabelList.add(AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.owner", currentLocale)));
      }else if(token != null && token.equalsIgnoreCase("Handle")) {
	        propLabelList.add(AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.handle", currentLocale)));
      }
      else {
 		DSObject dsobj = (DSObject)mDSSession.getObject(new DSHandle(parentHandle));
		String originalSpace = mDSSession.getSpace();
		mDSSession.setSpace(dsobj.getSpace());

		String propertyClass = token.substring(0,token.indexOf("."));

		DSClass[] dsclasses = mDSSession.getDSClasses();
		DSClass docClass = null;
		for (DSClass dsclass: dsclasses){
			if (propertyClass.equals(dsclass.getName())){
				docClass = mDSSession.getDSClass(propertyClass);
				break;
			}
		}
		mDSSession.setSpace(originalSpace);
        String propLabel = "";
		
		if (docClass != null){
			try{
				propLabel = docClass.getPropLabel(token, currentLocale);
				LifecycleManagerLogs.logger.debug("Proplabel for report for property name: " + token + " is " + propLabel);
			}catch(Exception ex){
				propLabel = token.substring(token.indexOf(".") + 1, token.length());
			}
			propLabelList.add(propLabel);
		} else {
		      propNameList.remove(token);
		}
      }
    }
  }
  catch(Exception e){
	  LifecycleManagerLogs.logger.error("Exception 1 in ReportGenerator: ", e);
  }	
  
  try{
	DSHandle[] handleArrayObj = null;
	  
	if(childrenList.isEmpty()){ //i.e none of the checkboxes are selected
	    List<DSHandle> allParentsList = new ArrayList<DSHandle>();
	    
	    if(parentHandle.equalsIgnoreCase("Site")){
	    	List<DSHandle> allRootObjects = DSUtils.getRootHandles(dssession);
	    	allParentsList = allRootObjects;
	    }else
	    	allParentsList.add(new DSHandle(parentHandle));
	    
	    handleArrayObj = (DSHandle[])allParentsList.toArray(new DSHandle[0]);
	}else{
		handleArrayObj = (DSHandle[])childrenList.toArray(new DSHandle[0]);
	}
	LifecycleManagerLogs.logger.debug("Generating the report with the handle : " + parentHandle);
	
	CSVReportingFunctions.GenerateReport(request, response, mDSSession, handleArrayObj, propNameList, propLabelList, includeObjectName);
  }
  catch(Exception e){
	  LifecycleManagerLogs.logger.error("Exception 2 in ReportGenerator: ", e);
  }	
%>


<%@ include file="../../jsp/common/end.jsp" %>
