<%@page import="com.xerox.docushare.lifecyclemanager.logs.LifecycleManagerLogs"%>
<%/**
 * Copyright: Copyright (c) 2011
 * Company: Xerox Docushare Professional Services
 * @author Shilpa Reshmi
 * @version 1.0
 */ %>
 
<%@page import="com.xerox.docushare.lifecyclemanager.constants.LifecycleManagerConstants"%>
<%@page import="com.xerox.docushare.lifecyclemanager.action.LCMActionInService"%>
<%@page import="com.xerox.docushare.amber.util.AmberUtility"%>
<%@page import="com.xerox.docushare.object.DSUser"%>
<%@page import="com.xerox.docushare.DSHandle"%>
<%@ include file="includes/sessionPageMethods.jsp" %>
<%@ include file="../jsp/common/start.jsp" %>

 <%
    String returnValue = "404";
    String lcmActionResult = "";
 	if(dssession == null){
 		LifecycleManagerLogs.logger.debug("dssession in RunLCMForThisPolicy.jsp: " + dssession); 		
 		response.getWriter().write(returnValue);
 	}
 	String policyTitle = (request.getParameter("trigger") != null)? request.getParameter("trigger"): "";
	String previewOrRunNow = (request.getParameter("previewOrRunNow") != null)? request.getParameter("previewOrRunNow"): "";
	
	try{
		DSServer serverObj = dssession.getServer();
		
		if(!policyTitle.equals(""))
			lcmActionResult = LCMActionInService.notificationForPreviewOrRunNow(dssession, policyTitle, serverObj, previewOrRunNow);
		
	}catch(Exception ex){
		LifecycleManagerLogs.logger.error("Exception while triggering the policy:", ex);
	}
	
	String user = dssession.getLoginPrincipalHandle().toString();
	DSUser owner = (DSUser)dssession.getObject(new DSHandle(user));
    String ownerEmail = (owner.getEmail() != null)	? owner.getEmail().trim() : "";
	String loginUser = owner.getFirstName() + " " + owner.getLastName();
	policyTitle = AmberUtility.xss_safe_value(policyTitle); //BUG17874
	returnValue = "previewOrRunNow=" + previewOrRunNow + "{SEP}policyTitle=" + policyTitle + "{SEP}lcmActionResult=" + lcmActionResult + "{SEP}loginUser=" + loginUser + "{SEP}ownerEmail=" + ownerEmail + "{SEP}";
	LifecycleManagerLogs.logger.debug("returnValue " + returnValue);
    response.getWriter().write(returnValue);
%>

<%@ include file="../jsp/common/end.jsp" %>
