<%@page import="com.xerox.docushare.lifecyclemanager.logs.LifecycleManagerLogs"%>
<%@page import="com.xerox.docushare.amber.util.AmberUtility"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.DSObjectPropertyManager"%>
<%/**
 * Copyright: Copyright (c) 2011
 * Company: Xerox Docushare Professional Services
 * @author Anubha Khurana
 * @version 1.0
 */ %>
 
<%@page import="com.xerox.docushare.lifecyclemanager.util.DSUtils"%>
<%@page import="com.xerox.docushare.object.DSGroup"%>
<%@page import="com.xerox.docushare.lifecyclemanager.search.SearchAllUserAndGroups"%>
<%@page import="com.xerox.docushare.object.DSUser"%>
<%@page import="java.util.List"%>
<%@page import="com.xerox.docushare.lifecyclemanager.constants.LifecycleManagerConstants"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.ProjectUtils"%>
<%@page import="com.xerox.docushare.DSObject"%>

<%@ include file="includes/sessionPageMethods.jsp" %>
<%@ include file="../jsp/common/start.jsp" %>

 <%
   //DSSession dssession = DSUtils.getAdminSession(LifecycleManagerConstants.getLogger()); 
 	if(dssession == null){
 		LifecycleManagerLogs.logger.error("dssession in getMatchingUsersOrGroups.jsp: "); 		
 		response.getWriter().write("");
 	}else
 		LifecycleManagerLogs.logger.debug("dssession is not null in getMatchingUsersOrGroups.jsp" + dssession);
 	
 	String userOrGroupInSession 	= (session.getAttribute("userOrGroupInSession") != null) ? (String)session.getAttribute("userOrGroupInSession") : "user";
 	String searchStringInSession 	= (session.getAttribute("searchStringInSession")!= null) ? (String)session.getAttribute("searchStringInSession"): "*";
 	
 	String userOrGroup 	= (request.getParameter("userOrGroup") 	!= null)? request.getParameter("userOrGroup")	: "";
 	String searchString = (request.getParameter("searchString") != null)? request.getParameter("searchString")	: "";
 	String moreOrLess 	= (request.getParameter("moreOrLess") 	!= null)? request.getParameter("moreOrLess")	: "more";
 	
 	LifecycleManagerLogs.logger.debug("Initially:" + session.getAttribute("nextOffsetInSession"));
 	
 	if(moreOrLess.indexOf("more") != -1){
 		if(session.getAttribute("nextOffsetInSession") 	!= null)
 			session.setAttribute("nextOffsetInSession", (Integer)session.getAttribute("nextOffsetInSession") + LifecycleManagerConstants.NO_OF_USERS_TO_SHOW_IN_DROP_DOWN);
 		else
 			session.setAttribute("nextOffsetInSession", 0);
 	}else if(session.getAttribute("nextOffsetInSession") != null && (Integer)session.getAttribute("nextOffsetInSession") > 0){
 		if((Integer)session.getAttribute("nextOffsetInSession") - LifecycleManagerConstants.NO_OF_USERS_TO_SHOW_IN_DROP_DOWN > 0)
			session.setAttribute("nextOffsetInSession", (Integer)session.getAttribute("nextOffsetInSession") - LifecycleManagerConstants.NO_OF_USERS_TO_SHOW_IN_DROP_DOWN);
 		else
 			session.setAttribute("nextOffsetInSession", 0);
 	}else
 		session.setAttribute("nextOffsetInSession", 0);
 	
 	session.setAttribute("userOrGroupInSession", userOrGroup);
 	session.setAttribute("searchStringInSession", searchString);
 	
 	int nextOffsetInSession = (Integer)session.getAttribute("nextOffsetInSession");
 	userOrGroupInSession = (String)session.getAttribute("userOrGroupInSession");
 	
	if(!userOrGroup.equalsIgnoreCase(userOrGroupInSession)){
 		LifecycleManagerLogs.logger.debug("Resetting session");
 		LifecycleManagerLogs.logger.debug("userOrGroup " + userOrGroup);
 		LifecycleManagerLogs.logger.debug("userOrGroupInSession " + userOrGroupInSession);
 		ProjectUtils.resetSessionForUsersAndGroups(session);
 	}
 	
 	String returnValue = userOrGroup + " , " + nextOffsetInSession + "{SEP}";//The first value will tell whether its group or user
 	
 	try{
 		if(userOrGroup.equals("user")){
 			List<DSObject> dsUsersListObj = SearchAllUserAndGroups.searchForAllMatchingUsers(dssession, "User", searchString, nextOffsetInSession,
 				  LifecycleManagerConstants.NO_OF_USERS_TO_SHOW_IN_DROP_DOWN);
 			
 			if(nextOffsetInSession > 0)
 		 		returnValue += "less , less , less , less" + "{SEP}";
 				
 			//List<DSUser> dsUsersListObj = DSUtils.getAllUsers(dssession);
	 		//Iterate through all the users
	 		LifecycleManagerLogs.logger.debug("dsUsersListObj.size(): " + dsUsersListObj.size());
	 		for(int i=0; i<dsUsersListObj.size(); i++){
	 			DSUser userObj = (DSUser)dsUsersListObj.get(i);
	 			String userHandle = userObj.getHandle().toString();	
	 			
	 			String userFirstName = AmberUtility.escapeValue(DSObjectPropertyManager.getPropertyValue(userObj,"first_name", dssession, request));
	 			String userLastName = AmberUtility.escapeValue(DSObjectPropertyManager.getPropertyValue(userObj,"last_name", dssession, request));
	 			String userEmail = AmberUtility.escapeValue(DSObjectPropertyManager.getPropertyValue(userObj,"email", dssession, request));
	 			String userName = AmberUtility.escapeValue(DSObjectPropertyManager.getPropertyValue(userObj,"username", dssession, request));
	 			
	 			returnValue += userHandle + " , "  + userFirstName + " " + userLastName + " , " + userEmail + " , " + userName + "{SEP}";
	 		}
	 		if(dsUsersListObj.size() > 0)
 		 		returnValue += "more , more , more , more" + "{SEP}";
 		 	else
 		 		ProjectUtils.resetSessionForUsersAndGroups(session);
 		}else{
 			List<DSObject> dsGroupsListObj = SearchAllUserAndGroups.searchForAllMatchingUsers(dssession, "Group", searchString, nextOffsetInSession,
 				  LifecycleManagerConstants.NO_OF_USERS_TO_SHOW_IN_DROP_DOWN);
 			
 			if(nextOffsetInSession > 0)
 		 		returnValue += "less , less , less , less" + "{SEP}";
	 		//Iterate through all the groups
	 		for(int i=0; i<dsGroupsListObj.size(); i++){
	 			DSGroup groupObj = (DSGroup)dsGroupsListObj.get(i);
	 			String groupHandle = groupObj.getHandle().toString();
	 			
	 			String groupTitle = AmberUtility.escapeValue(DSObjectPropertyManager.getPropertyValue(groupObj,"title", dssession, request));
	 			String groupEmailAlias = AmberUtility.escapeValue(DSObjectPropertyManager.getPropertyValue(groupObj,"emailAlias", dssession, request));
	 			String groupKeywords = AmberUtility.escapeValue(DSObjectPropertyManager.getPropertyValue(groupObj,"keywords", dssession, request));	 			
	 			
	 			returnValue += groupHandle + " , "  + groupTitle + " , " +  groupEmailAlias + " , " + groupKeywords + "{SEP}";
	 			
	 			//returnValue += groupHandle + " , "  + groupObj.getTitle() + " , " +  groupObj.getEmailAlias() + " , " + groupObj.getKeywords() + "{SEP}";
	 		}	
	 		if(dsGroupsListObj.size() > 0)
 		 		returnValue += "more , more , more , more" + "{SEP}";
 		 	else
 		 		ProjectUtils.resetSessionForUsersAndGroups(session); 		
 		}
	}catch(Exception ex){
		LifecycleManagerLogs.logger.error("Exception while checking for valid handle: getMatchingUsersOrGroups.jsp",ex);
	}
 	
	LifecycleManagerLogs.logger.debug("returnValue " + returnValue);
	
	response.getWriter().write(returnValue);
%>

<%@ include file="../jsp/common/end.jsp" %>