<!DOCTYPE html>
<%@page import="com.xerox.docushare.amber.util.AmberUtility"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.ProjectUtils"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.CollectionManager"%>
<%/**
*
* <p>Description:A tool for administrator to select Properties to be shown in the notification sent.</p>
*
* <p>Copyright: Copyright (c) 2011</p>
*
* <p>Company: Xerox Docushare Professional Services</p>
*
* @author Anubha Khurana
* 
* @version 1.0
**/ %>

<%@page import="com.xerox.docushare.amber.util.XSLTMessage"%>
<%@page import="java.util.Collections"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.DSObjectPropertyManager"%>
<%@page import="java.util.LinkedList"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.DocumentManager"%>
<%@page import="java.io.IOException"%>
<%@page import="com.xerox.docushare.lifecyclemanager.constants.LifecycleManagerConstants"%>
<%@page import="java.util.ListIterator"%>
<%@page import="java.io.FileWriter"%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.util.List"%>
<%@page import="java.io.FileReader"%>
<%@page import="java.io.BufferedWriter"%>
<%@page import="java.io.BufferedReader"%>
<%@page import="com.xerox.docushare.license.DSLicense"%>

<%@ include file="includes/sessionPageMethods.jsp" %>
<%@ include file="../jsp/common/start.jsp" %> 
<%@ include file="../jsp/common/adminbanner.jsp" %> 

<%@ include file="ReportingTool/includeL10N.jsp" %>

<link type="text/css" href="css/LifecycleManager.css" rel="stylesheet" />

<%
	if (dssession == null) {
	  out.println(AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.dssession_null", currentLocale)));
	  return;
	}
	String contextRoot = LifecycleManagerConstants.DS_CONTEXT_ROOT;
    String url="";  // DS7 AR32264
	boolean isLMLicensed = dssession.isEnabled(LifecycleManagerConstants.LCM_LICENCE);  // DS7 AR31700
	if(!isLMLicensed) return;

	response.setHeader("Cache-Control","no-cache");
	
%>

<!-- <script type="text/javascript"  src="JQuery/jquery-1.10.2.js"></script> -->
<script type="text/javascript"  src="JQuery/jquery-3.6.0.js"></script>
<script type="text/javascript"  src="JQuery/jquery-migrate-3.4.0.js"></script>
<script type="text/javascript"> 
function getpossibleObjects(classname)
{
	if (classname)
		$("div#jspload").load("SelectPropertiesForNotificationSub.jsp?classname="+classname);
	else
		window.location.reload();
}

</script>

<div style="width:100%">      
     <h2><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.select_notify_prop", currentLocale)) %></h2>

	 <font size="2"><ul><li><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.note", currentLocale)) %></li></ul></font><br/>   
	 
	 <br/><br/>
	 	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
	 <% url = XSLTMessage.getDocumentBase() + "LifecycleManager/HelpFiles/thirdPartyHelpTextPage.jsp?resourceBundle="+ resourceBundle + "&amp;name=" + "lifeCycleManager.possible_objects" + "&amp;key=" + "lifeCycleManager.possible_objects_notify_help"; %> <!-- DS7 AR32264 -->
	 <span><strong>
	 <a href="javascript:openHelpTextWindow('<%= url %>');"><%= AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.possible_objects", currentLocale)) %></a></strong></span> <!-- DS7 AR32264 -->
	 <%
	 try{
	 List<String> allCustomObjects= new ArrayList<String>();
	 allCustomObjects =DocumentManager.getCustomObjects(dssession,request);
	 Collections.sort(allCustomObjects);
	 allCustomObjects.add(0, AmberUtility.escapeValue(lifeCycleMessageObj.get("lifeCycleManager.choose_object", currentLocale))+" Value:");
 	  ListIterator<String> iterateObjects = allCustomObjects.listIterator();
 	  %><select class="multiselect" name="ClassOnSite" id="ClassOnSite" onchange="getpossibleObjects(this.value)" style="width: 300px">
 	  <%
 	 while(iterateObjects.hasNext()){
 		String LabelAndName = (String)iterateObjects.next();
 		String Label = LabelAndName.substring(0,LabelAndName.indexOf(" Value:"));
 		String Value = LabelAndName.substring(LabelAndName.indexOf(" Value:") + " Value:".length());
 	
 		%>
 			<option value="<% out.print(Value); %>">
 				<% out.print(Label); %>
 			</option>
 					    		
 	<% }
 	 }
 	 catch(Exception e){
 		System.out.println("Exception 3 in SelectPropertiesForNotification.jsp" + e.getMessage());
 	 }%>
		</select>		
	
	 <div id="jspload"></div>
	 <div id="content"></div>
</div>

<%@ include file="../jsp/common/adminfooter.jsp" %>
<%@ include file="../jsp/common/end.jsp" %>
