<%@page import="com.xerox.docushare.lifecyclemanager.logs.LifecycleManagerLogs"%>
<%@page import="com.xerox.docushare.DSAuthorizationException"%>
<%@page import="com.xerox.docushare.lifecyclemanager.util.Localized"%>
<%/**
   * Copyright: Copyright (c) 2009
   * Company: Xerox Corporation
   * @author Anubha Khurana
   * @version 1.0
**/ %>

<%@page import="com.xerox.docushare.amber.util.ThirdPartyMessageDB"%>
<%@page import="java.util.Locale"%>
<%@page import="com.xerox.docushare.lifecyclemanager.constants.LifecycleManagerConstants"%>
<%@page import="com.xerox.docushare.amber.util.XSLTMessage"%>
<%@page import="com.xerox.docushare.DSLoginPrincipal"%>
<%@page import="com.xerox.docushare.object.DSUser"%>
<%@page import="com.xerox.docushare.DSObject"%>
<%@page import="com.xerox.docushare.DSHandle"%>
<%@page import="com.xerox.docushare.DSObjectIterator"%>
<%@page import="com.xerox.docushare.DSSelectSet"%>
<%@page import="com.xerox.docushare.DSException"%>
<%@page import="com.xerox.docushare.DSUserLevels" %>
<%@page import="com.xerox.docushare.DSLicenseCodes" %>
<%@page import="java.util.List"%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.util.ListIterator"%>

<%@ page import="jp.co.fujixerox.docushare.amber.ConfigManager" %>
<%@ page import="jp.co.fujixerox.docushare.amber.ThemeFactory" %>
<%@ page import="jp.co.fujixerox.docushare.amber.WebRequest" %>
<%@ page import="jp.co.fujixerox.docushare.amber.config.DSConfig" %>
<%@ page import="jp.co.fujixerox.docushare.amber.object.PreferencesImpl" %>

<%@ include file="includes/sessionPageMethods.jsp" %>

<%
String theme_name = null;
String base = XSLTMessage.getDocumentBase();
String siteStyle = jp.co.fujixerox.docushare.amber.ConfigManager.getInstance().getDSConfig().getSiteStyle(mDSSession);
final DSUser dsUser = (DSUser)mDSSession.getLoginPrincipal();
%>

<%
try {
    String layoutDefaults = ((DSUser)mDSSession.getLoginPrincipal()).getLayoutDefaults();
    PreferencesImpl preferences = new PreferencesImpl("com.xerox.docushare.theme", layoutDefaults);
    theme_name = (preferences.getPref("themeName"));

    if( theme_name==null || theme_name.trim().length()==0 ) {
        WebRequest w = (WebRequest)request.getAttribute("WebSession");
        theme_name = ThemeFactory.getInstance().getSpaceTheme(w.getVDFSession());
    }
    if(theme_name==null || theme_name.trim().length()==0) {
        DSConfig myconfig = ConfigManager.getInstance().getDSConfig();      
        theme_name = (String) (myconfig.get(DSConfig.default_theme_name, mDSSession));
    }
    if(theme_name==null || theme_name.trim().length()==0)
        theme_name = "blue"; //use default
}catch(Exception e) {
    theme_name = "blue"; //use default
}
%>


<%
  String contextRoot = "/" + LifecycleManagerConstants.DS_CONTEXT_ROOT;
  
  if(dssession == null){
	  response.sendRedirect("/");
	  return;
  }
  Locale currentLocale = Localized.getRequestLocale(request);
  String resourceBundle_hf = "headerFooterMessages";
  ThirdPartyMessageDB hfMessageObj = new ThirdPartyMessageDB(resourceBundle_hf, currentLocale);  
%>

<HTML>
  <HEAD>
	<META HTTP-EQUIV="EXPIRES" CONTENT="0" />
	<link rel="SHORTCUT ICON" href="<%=request.getContextPath()%>/favicon.ico" />
	
	<%
	if (DSUserLevels.CPX_LEVEL.equals(dsUser.getUserLevel())) {
	%>
	    <link rel="stylesheet" href="<%=base%>themes/<%=theme_name%>/docushare_cpx.css" type="text/css"></link>
	<%
	} else if (DSUserLevels.IMAGE_MANAGER_LEVEL.equals(dsUser.getUserLevel())) {
	%>
	    <link rel="stylesheet" href="<%=base%>themes/<%=theme_name%>/docushare.css" type="text/css"></link>
	    <link rel="stylesheet" href="<%=base%>themes/<%=theme_name%>/docushare_imagestore.css" type="text/css"></link>
	<%
	} else {
	%>
		<link rel="stylesheet" href="<%=base%>themes/<%=theme_name%>/docushare.css" type="text/css"></link>    
	<%
	}
	%>
	
	<link rel="stylesheet" type="text/css" href="<%=request.getContextPath()%>/summarizer.css" />
	
		
	
  <script language="javascript">
	   var location_base = '<%=request.getContextPath()%>';
	   var openedBcImg = new Image();
	   openedBcImg.src = location_base + "images/submenu_arrow_collapse.gif";
	   var closedBcImg = new Image();
	   closedBcImg.src = location_base + "images/submenu_arrow_expand.gif";

	   // Create an HTML object based on the argument.  Check the 'src' property
	   // to see if the image currently displayed is the closed breadcrumb image.  Use the
	   // 'indexOf()' function because both IE and Netscape 6 return a string
	   // containing the absolute path to the image for the 'src' attribute.
	   function swapImage(img) {
	      var objImg = document.getElementById(img);
	      if(objImg.src.indexOf('submenu_arrow_expand.gif')>-1) {
		 objImg.src = openedBcImg.src;
	      }
	      else {
		 objImg.src = closedBcImg.src;
	      }
	   }

     function showHide(id){
       if (document.getElementById){
         var obj = document.getElementById(id);
         if (obj.style.display == "none"){
           obj.style.display = "";
         } else {
           obj.style.display = "none";
         }
       }
     }

	 function showDiv(pass) {
	    var divs = document.getElementsByTagName('div');
	      //alert("divs = " + divs.length);
        for (i=0; i<divs.length; i++) {
          //if (divs[i].id.match(pass)) {
            if (divs[i].id.indexOf(pass, 0) != -1) {
              if (document.getElementById) {
                if (divs[i].style.display == "none"){
                  divs[i].style.display = "";
                } else {
                  divs[i].style.display = "none";
                }
              }
            }
         }
      }

      function showSpan(pass) {
	      var spans = document.getElementsByTagName('span');
	      //alert("spans = " + spans.length);
	      for (i=0; i<spans.length; i++) {
          if (spans[i].id.indexOf(pass, 0) != -1) {
            if (document.getElementById) {
              if (spans[i].style.display == "none"){
                spans[i].style.display = "";
              } else {
                spans[i].style.display = "none";
              }
            }
          }
        }
	   }

     function showSearchOptions(optionregion){
       expandarrow = document.getElementById('searchOptionsShow');
       collapsearrow = document.getElementById('searchOptionsHide');
       hiddenoptiondiv = document.getElementById(optionregion);
       if(hiddenoptiondiv.style.display == "none"){
         hiddenoptiondiv.style.display = "";
         expandarrow.style.display = "none";
         collapsearrow.style.display = "";
       } else {
         hiddenoptiondiv.style.display = "none"
         expandarrow.style.display = "";
         collapsearrow.style.display = "none";
       }
     }

     function openUrlTextWindow(url) {
       if (typeof(popupWin) != "object"){
         popupWin = window.open(url, "urlWindow", "toolbar=yes,location=yes,directories=yes,status=yes,menubar=yes,scrollbars=yes,resizable=yes");
       } else {
         if (!popupWin.closed){
           popupWin.location.href = url;
         } else {
           popupWin = window.open(url, "urlWindow", "toolbar=yes,location=yes,directories=yes,status=yes,menubar=yes,scrollbars=yes,resizable=yes");
         }
       }
       popupWin.focus();
     }


     function openHelpTextWindow(url) {
       var newUrl = url;
       var help_window=window.open(newUrl, "help_window", "toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=350,height=250");
       help_window.onClose = window.focus();
       help_window.focus();
     }
   </script>

   <title><%=pageTitle%></title>
 </HEAD>

 <BODY background="" bgcolor="#FFFFFF">
   <script language="JavaScript" src="<%=request.getContextPath()%>/javascript/common/ds_routing.js"> </script>
    <div id="header">
        <!-- <img HSPACE="0" SRC="/docushare/images/custom_ww/sg_logo.gif" align="left" /> -->  
    	<div id="header_inner">
	      <h1><a href="<%=request.getContextPath()%>/dsweb/Home" title="<%= hfMessageObj.get("home", currentLocale) %>"><%= hfMessageObj.get("docushare", currentLocale) %></a></h1>
	      <ul id="header_linksection">
	        <li class="first"><a href="<%=request.getContextPath()%>/dsweb/Home"><%= hfMessageObj.get("home", currentLocale) %></a></li>
	        <li><a href="<%=request.getContextPath()%>/dsweb/Index/Site?init=true"><%= hfMessageObj.get("contentMap", currentLocale) %></a></li>
	        <li>
	        	<% if(request.getParameter("handle") != null){ %>
	        		<a href="<%=request.getContextPath()%>/dsweb/ApplyListNew/<%= request.getParameter("handle") %>?nresults=100"><%= hfMessageObj.get("whatsNew", currentLocale) %></a>
	        	<%}else{%>
	        		<a href="<%=request.getContextPath()%>/dsweb/ApplyListNew/Site?nresults=100"><%= hfMessageObj.get("whatsNew", currentLocale) %></a>
	        	<%}%>
	        </li>
	        <% if(!principal.isGuestUser()) { %>
	        	<li><a href="<%=request.getContextPath()%>/dsweb/Registry"><%= hfMessageObj.get("usersGroups", currentLocale) %></a></li>
	        <%}%>
	        <li><a href="<%=request.getContextPath()%>/dsweb/helpdesk"><%= hfMessageObj.get("help", currentLocale) %></a></li>
	      </ul>
	    </div>
    </div>

    <form action="<%=request.getContextPath()%>/dsweb/ApplySimpleSearch" method="post" name="Search">
	    <div id="subheader">
	      <div id="subheader_inner">
		      <div id="subheader_account">
		        <ul id="accountlinks">
		           <% if(principal.isGuestUser()) { %>
		               <li class="loginname"><a href="<%=request.getContextPath()%>/dsweb/Services/User-1" title="<%= hfMessageObj.get("clicktoViewProps", currentLocale) %>"><%= hfMessageObj.get("guest", currentLocale) %></a></li>
		          	   <li><a href="<%=request.getContextPath()%>/dsweb/Login" title="<%= hfMessageObj.get("clickToLogin", currentLocale) %>"><%= hfMessageObj.get("login", currentLocale) %></a></li>
		          <% }else{ %> 
			          <li class="loginname">
			          	<%DSUser userObj =  ((DSUser)dssession.getObject(principal.getHandle()));
			          	  String lastName = userObj.getLastName();
			          	  String firstName = userObj.getFirstName();
			          	  String fullName = lastName;
			          	  if(firstName != null && !firstName.equals(""))
			          	  	fullName += ", " + firstName;%>
			            <A HREF="<%=request.getContextPath()%>/dsweb/Services/<%=principal.getHandle().toExternalForm()%>" Title="<%= hfMessageObj.get("clicktoViewProps", currentLocale) %>">
			            	<%=fullName%>
			            </A>
			          </li>		          
			          <li><a href="<%=request.getContextPath()%>/dsweb/Logout" title="<%= hfMessageObj.get("clickToLogout", currentLocale) %>" target="_parent"><%= hfMessageObj.get("logout", currentLocale) %></a></li>
			          <% if(principal.isAdmin(DSLoginPrincipal.SITE_ADMIN)) { %>
			          	<li><A HREF="<%=request.getContextPath()%>/jsp/admin/Main.jsp" TITLE="<%= hfMessageObj.get("clickToAdminUI", currentLocale) %>" target="_parent"><%= hfMessageObj.get("adminHome", currentLocale) %></A></li>
			          <% } %>
			          <li><a href="<%=request.getContextPath()%>/dsweb/MyHomePage/User-2" title="<%= hfMessageObj.get("clickToPersonalPage", currentLocale) %>"><%= hfMessageObj.get("myDocushare", currentLocale) %></a></li>
			          <li><a href="javascript:openMyTasksWindow('<%=request.getContextPath()%>/')" title="<%= hfMessageObj.get("clickToRoutingTask", currentLocale) %>"><%= hfMessageObj.get("myTask", currentLocale) %></a></li>
			       <% } %> 
		        </ul>
		      </div>
		      <div id="subheader_search">		
		        <input type="text" size="26" class="headersearchbox" name="value1" />
		        <input type="submit" value="<%= hfMessageObj.get("search", currentLocale) %>" name="SearchButton" />
		        <span><%= hfMessageObj.get("inLabel", currentLocale) %></span>
		            <select size="1" name="D1"> 
		                <option value="Site"><%= hfMessageObj.get("entireSite", currentLocale) %></option>
		            </select>
		        <% if(request.getParameter("handle") != null){ %>
		        	<a href="<%=request.getContextPath()%>/dsweb/SearchForm/<%= request.getParameter("handle") %>" title="<%= hfMessageObj.get("clickForAdv", currentLocale) %>"><%= hfMessageObj.get("advanced", currentLocale) %></a>
		        <%}else{%>
		        	<a href="<%=request.getContextPath()%>/dsweb/SearchForm/Site" title="<%= hfMessageObj.get("clickForAdv", currentLocale) %>"><%= hfMessageObj.get("advanced", currentLocale) %></a>
		        <%}%>
		      </div>
		    </div>
	    </div>
    </form>
    
    <%!
    //This function is used to get all the parents for the breadcrumbs
	public List getParentsTillRoot(DSObject mObject, List parentList){ 
		try{
			DSObject parentObject = mObject;
			
			while(!parentObject.getIsRoot()){
				DSObjectIterator objIterator = parentObject.getParents(DSSelectSet.NO_PROPERTIES);		  	
			  	if(objIterator.hasNext()){ //Just taking care of one immediate parent,
					parentObject = objIterator.nextObject();
					parentList.add(0,parentObject);
				 } 
			}
		 }catch(DSException dse){
			 LifecycleManagerLogs.logger.debug("The DSException in getAllParents is ");
			 dse.getMessage();
		 }catch(Exception ex){
			 LifecycleManagerLogs.logger.error("The exception in getAllParents is ", ex);
		 }
		 return parentList;
	}%>
	
    <%if(request.getParameter("handle") != null){%>
    
		<div class="breadcrumbs">
		    <table cellspacing="0" cellpadding="0" border="0">
		      <tr><td><%= hfMessageObj.get("locationLabel", currentLocale) %>:&#160;</td><td><a href='<%=request.getContextPath()%>/dsweb/HomePage'><%= hfMessageObj.get("home", currentLocale) %></a>
		      <% try{
			      	 List parentList = new ArrayList();
			         String myHandle = request.getParameter("handle");
			         if(myHandle != null && !myHandle.equalsIgnoreCase("Site")){
			        	 DSObject myObject = dssession.getObject(new DSHandle(myHandle));
				      	 getParentsTillRoot(myObject, parentList);
				      	 ListIterator parentListIterator = parentList.listIterator();
				      	 while(parentListIterator.hasNext()){
				       	   try{
				       		   DSObject parentObject = (DSObject)parentListIterator.next();%>
						       &#160;&#160;<img src='<%=request.getContextPath()%>/images/small/breadsep.gif' alt='<%= hfMessageObj.get("contains", currentLocale) %>' title='<%= hfMessageObj.get("contains", currentLocale) %>'/>&#160;&#160;
						       <a target="" href="<%=request.getContextPath()%>/dsweb/View/<%= parentObject.getHandle().toString() %>">
						      	 <%= parentObject.getTitle() %>
						       </a>
						     <%} catch (DSAuthorizationException e) {
						    	 LifecycleManagerLogs.logger.error("Authorization exception in header_docushare.jsp is ", e);
							}
					     } %>
					     &#160;&#160;<img src='<%=request.getContextPath()%>/images/small/breadsep.gif' alt='<%= hfMessageObj.get("contains", currentLocale) %>' title='<%= hfMessageObj.get("contains", currentLocale) %>'/>&#160;&#160;
					     <a target="" href="<%=request.getContextPath()%>/dsweb/View/<%= myHandle %>">
					      	 <%= myObject.getTitle() %>
					     </a>
					  <%}
					}catch(Exception ex){
						
					}%>
			   &#160;<%= hfMessageObj.get("listing", currentLocale) %></td ></tr>
		    </table>
		</div>
	<%}%>
